<?php
/**
* The template for displaying archive pages
* If you'd like to further customize these archive views, you may create a
*
* @package WordPress
* @subpackage Oneline
* @since Oneline 1.0
*/
?>
<?php get_header();
$layout = oneline_get_layout();
$oneline_plx = get_theme_mod('parallax_opt');
if($oneline_plx =='' || $oneline_plx =='0'){  
$prlx_class = 'parallax-pro';
$prlx_data_center = 'background-position: 50% 0px';
$prlx_top_bottom = 'background-position: 50% -100px;';
}else{
$prlx_class = ''; 
$prlx_data_center = '';
$prlx_top_bottom =''; 
}
?>
<div class="page-title <?php echo svg_active();?> <?php echo $prlx_class;?>">
<?php echo oneline_lite_page_svg_top_enable(); ?>
<div data-center="<?php echo $prlx_data_center;?>" data-top-bottom="<?php echo $prlx_top_bottom;?>" class="demo-image" style="background-image:url('<?php echo oneline_header_img(); ?>')">
    <div class="overlay-demo"></div>
    <div class="full-fs-caption">
        <div class="caption-container">
			<div class="archive-title">
		<?php
			if ( is_day() ) :
				printf( __( '<h2>Daily Archives : %s</h2>', 'oneline' ), get_the_date() );
			elseif ( is_month() ) :
				printf( __( '<h2>Monthly Archives : %s</h2>', 'oneline' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'oneline' ) ) );
			elseif ( is_year() ) :
				printf( __( '<h2>Yearly Archives : %s</h2>', 'oneline' ), get_the_date( _x( 'Y', 'yearly archives date format', 'oneline' ) ) );
			else :
			printf( __( '<h2>Archives : %s</h2>', 'oneline' ), single_cat_title( '', false ) );
			endif;
		?>
	</div>
	</div>
    </div>
</div>
<?php echo oneline_lite_page_svg_bottom_enable(); ?>
<?php echo oneline_breadcrumb(); ?>
<?php echo oneline_lite_page_svg_top_enable(); ?>
</div>
<div id="page" class="clearfix <?php echo $layout; ?> <?php echo svg_active();?>">
<div class="content-wrapper">
	<!-- Content Start -->
	<div class="content">
	<div class="page-content blog-content">

		<?php if (have_posts()) : ?>
		<div id="main">
			<ul class="load_post standard-layout">
				<?php get_template_part('loop', 'blog'); ?>
			</ul>
		</div>
		<?php
		else :
		get_template_part( 'content', 'none' );
		endif;
		?>
		</div>
	</div>
</div>	
<?php if ( $layout != 'no-sidebar' ) { ?>
	<div class="sidebar-wrapper">
		<?php get_sidebar(); ?>
	</div>
<?php } ?>
</div><!-- Content End -->
<?php get_footer(); ?>