<?php
//  = Default Theme Customizer Settings  =
function oneline_customize_register( $wp_customize ) {
// color-picker-added    
require_once( get_template_directory() . '/inc/color-picker/color-picker.php' ); 
$palette = array('rgb(0, 0, 0, 0)');
$cats = array();
  // $cats[0] = 'All Categories';
    foreach ( get_categories() as $categories => $category ){
        $cats[$category->term_id] = $category->name;
 }
//=============================
//= Theme option = Start
//=============================
$wp_customize->add_panel( 'theme_optn', array(
    'priority'       => 3,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Theme Option', 'oneline'),
    'description'    => '',
) );
$wp_customize->add_section('global_set', array(
        'title'    => __('Global Setting', 'oneline'),
        'priority' => 1,
        'panel'  => 'theme_optn',
));
// Disable Sticky Header
        $wp_customize->add_setting( 'oneline_sticky_header_disable',
                array(
                'sanitize_callback' => 'oneline_sanitize_checkbox',
                'default'  => '',
                )
        );
        $wp_customize->add_control( 'oneline_sticky_header_disable',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Fixed Header?', 'oneline'),
                    'section'     => 'global_set',
                    'description' => esc_html__('Check here to disable Fixed header and activate Normal header.', 'oneline')
                )
            );
// Disable Animation
            $wp_customize->add_setting( 'oneline_animation_disable',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'oneline_animation_disable',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable animation effect?', 'oneline'),
                    'section'     => 'global_set',
                    'description' => esc_html__('Check here to disable homepage section animation.', 'oneline')
                )
            );
  // Disable back to top button
            $wp_customize->add_setting( 'oneline_backtotop_disable',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'oneline_backtotop_disable',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Hide back to top button ?', 'oneline'),
                    'section'     => 'global_set',
                    'description' => esc_html__('Check here to disable Back To Top button.', 'oneline')
                )
            );  

 // loader/on/off option    
$wp_customize->add_setting('_loader_disable', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('_loader_disable', array(
        'settings' => '_loader_disable',
        'label'       => esc_html__('Disable site loader ?', 'oneline'),
        'description' => esc_html__('Check here to disable site loader.', 'oneline'),
        'section' => 'global_set',
        'type'    => 'checkbox',
    ) );   

// site-color
$wp_customize->add_section('site_color', array(
        'title'    => __('Site Color', 'featured'),
        'priority' => 2,
        'panel'  => 'theme_optn',
));
$wp_customize->add_setting('theme_color', array(
        'default'        => '#D4B068',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control(
    $wp_customize, 'theme_color', array(
        'label'      => __( 'Theme Color', 'oneline' ),
        'section'    => 'site_color',
        'settings'   => 'theme_color',
 ) ) );
// loader-color  
    $wp_customize->add_setting('site_loader_clr', array(
        'default'        => '#D4B068',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => ''
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'site_loader_clr', 
    array(
        'label'      => __( 'Loader Color', 'oneline' ),
        'section'    => 'site_color',
        'settings'   => 'site_loader_clr',
    ) ) 
); 
      $wp_customize->add_setting('footer_widget_bg_color', array(
            'default'        => '#f7f7f7',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'footer_widget_bg_color', array(
            'label'      => __('Footer Widget Background Color', 'oneline' ),
            'section'    => 'site_color',
            'settings'   => 'footer_widget_bg_color',
        ) ) );   

        $wp_customize->add_setting('footer_widget_title_color', array(
            'default'        => '#000',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'footer_widget_title_color', array(
            'label'      => __('Footer Widget Title Color', 'oneline' ),
            'section'    => 'site_color',
            'settings'   => 'footer_widget_title_color',
        ) ) );
        $wp_customize->add_setting('footer_widget_text_color', array(
            'default'        => '#000',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'footer_widget_text_color', array(
            'label'      => __('Footer Widget Text Color', 'oneline' ),
            'section'    => 'site_color',
            'settings'   => 'footer_widget_text_color',
        ) ) );

        $wp_customize->add_setting('footer_copyright_bg_color', array(
            'default'        => '#1F1F1F',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'footer_copyright_bg_color', array(
            'label'      => __('Footer Copyright Background Color', 'oneline' ),
            'section'    => 'site_color',
            'settings'   => 'footer_copyright_bg_color',
        ) ) );

        $wp_customize->add_setting('footer_social_icon_color', array(
            'default'        => '#fff',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'footer_social_icon_color', array(
            'label'      => __('Footer Social Icon Color', 'oneline' ),
            'section'    => 'site_color',
            'settings'   => 'footer_social_icon_color',
        ) ) );

         $wp_customize->add_setting('footer_copyright_text_color', array(
            'default'        => '#808080',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'footer_copyright_text_color', array(
            'label'      => __('Footer Copyright Text Color', 'oneline' ),
            'section'    => 'site_color',
            'settings'   => 'footer_copyright_text_color',
        ) ) );

//********************************//    
// header-setting
//********************************//      
$wp_customize->add_section('header_setting', array(
        'title'    => __('Header Setting', 'oneline'),
        'priority' => 3,
        'panel'  => 'theme_optn',
));
// header layout option
$wp_customize->add_setting('header_layout', array(
        'default'        =>'default',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));

    $wp_customize->add_control( 'header_layout', array(
        'settings' => 'header_layout',
        'label'   => __('Header Layout Option','oneline'),
        'section' => 'header_setting',
        'type'    => 'radio',
        'choices'    => array(
            'default'   => 'Default Menu',
            'center'    => 'Center Menu',
            'split'     => 'Split Menu',
        ),
    ));
//header transparent
    $wp_customize->add_setting( 'hdr_bg_trnsparent_active',
              array(
            'sanitize_callback' => 'sanitize_text_field',
            'default'           => '1',
                )
            );
    $wp_customize->add_control( 'hdr_bg_trnsparent_active',
                array(
                'type'        => 'checkbox',
                'label'       => esc_html__('Header Transparent','oneline'),
                'section'     => 'header_setting',
                'description' => esc_html__('(Only applied for front page template)', 'oneline')
                )
            ); 
     // header-visibility  
     $wp_customize->add_setting( 'header_hide',
              array(
            'sanitize_callback' => 'sanitize_text_field',
            'default'           => '',
                )
            );
    $wp_customize->add_control( 'header_hide',
                array(
                'type'        => 'checkbox',
                'label'   => __('Header Visibility','oneline'),
                'description' => __('(Check here to hide header until scroll. Work with fixed header only)','oneline'),
                'section'     => 'header_setting',
                'description' => esc_html__('(Only applied for front page template)', 'oneline')
                )
            );  
// last-menu-button    
$wp_customize->add_setting( 'last_menu_btn',
              array(
                    'sanitize_callback' => 'sanitize_text_field',
                    'default'           => '',
                )
            );
$wp_customize->add_control( 'last_menu_btn',
                array(
                'type'        => 'checkbox',
                'label'       => esc_html__('Custom Button', 'oneline'),
                'description' => esc_html__('(Check here to style last Menu Item as a Custom Button)','oneline'),
                'section'     => 'header_setting',
                
                )
            );     
// last-menu-button
// site-title
$wp_customize->add_setting('site_title_color', array(
        'default'        => '#D4B068',
        'capability'     => 'edit_theme_options', 
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'site_title_color', 
    array(
    'label' => __('Site Title Color','oneline'),
        'section'    => 'header_setting',
        'settings'   => 'site_title_color',
    ) ) ); 
//color
$wp_customize->add_setting('hd_bg_color',
        array(
            'default'     => 'rgb(0, 0, 0, 0)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );

$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'hd_bg_color',
            array(
                'label'     => __('Header Background Color','oneline'),
                'section'   => 'header_setting',
                'settings'  => 'hd_bg_color',
                'palette'   => $palette
            )
        )
    );
// shrink header bg
$wp_customize->add_setting('shrnk_hd_bg_color',
        array(
            'default'     => 'rgba(20, 20, 20, 0.952941)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );

$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'shrnk_hd_bg_color',
            array(
                'label'     => __('Header Shrink Background Color','oneline'),
                'section'   => 'header_setting',
                'settings'  => 'shrnk_hd_bg_color',
                'palette'   => $palette
            )
        )
    );
    
//menu color
$wp_customize->add_setting('menu_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control( $wp_customize,'menu_color', array(
        'label'      => __('Menu Link Color', 'oneline' ),
        'section'    => 'header_setting',
        'settings'   => 'menu_color',
    ) ) 
);   
$wp_customize->add_setting('menu_hvr_color', array(
        'default'        => '#D4B068',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control( $wp_customize,'menu_hvr_color', array(
        'label'      => __('Menu Link Hover/Active Color', 'oneline' ),
        'section'    => 'header_setting',
        'settings'   => 'menu_hvr_color',
    ) ) 
);
// responsive menu button color 
   $wp_customize->add_setting('mobile_menu_bg_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        
     
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'mobile_menu_bg_color', 
    array(
    'label' => __('Responsive Menu Color','oneline'),
        'section'    => 'header_setting',
        'settings'   => 'mobile_menu_bg_color',
    ) ) ); 
// break    
 $wp_customize->add_setting('page_menu_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
 $wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'page_menu_line_break',array(
            'section' => 'header_setting',
            'description' => __( 'Page Menu Color', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
 )));
$wp_customize->add_setting('page_menu_color', array(
        'default'        => '#666',
        'capability'     => 'edit_theme_options',   
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'page_menu_color', 
    array(
    'label' => __('Menu Color','oneline'),
        'section'    => 'header_setting',
        'settings'   => 'page_menu_color',
    ) ) ); 

    $wp_customize->add_setting('page_menu_hvr_color', array(
        'default'        => '#d4b068',
        'capability'     => 'edit_theme_options',   
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'page_menu_hvr_color', 
    array(
    'label' => __('Page Menu Hover Color','oneline'),
        'section'    => 'header_setting',
        'settings'   => 'page_menu_hvr_color',
    ) ) ); 
//*************************************//
// page-layout-setting
//*************************************//    
$wp_customize->add_section('page_layout', array(
        'title'    => __('Page Layout Setting', 'oneline'),
        'priority' => 4,
        'panel'  => 'theme_optn',
)); 
// Disable SVG in all pages
        $wp_customize->add_setting( 'oneline_pro_svg_disable',
                array(
                'sanitize_callback' => 'oneline_sanitize_checkbox',
                'default'  => '',
                )
        );
        $wp_customize->add_control( 'oneline_pro_svg_disable',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable SVG Effect ?', 'oneline'),
                    'section'     => 'page_layout',
                    'description' => esc_html__('Check here to disable SVG in all internal pages', 'oneline')
                )
            );           
 // Disable parallax effect in all pages site
            $wp_customize->add_setting( 'parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => 'page_layout',
                    'description' => esc_html__('Check here to disable Parallax effect in all internal pages', 'oneline')
                )
            ); 

 // pages-layout                     
$wp_customize->add_setting( 'oneline_page_layout',
    array(
              'sanitize_callback' => 'sanitize_text_field',
              'default'           => 'right',
              )
         );
$wp_customize->add_control( 'oneline_page_layout',
        array(
        'type'        => 'select',
        'label'       => esc_html__('Archive Post Layout', 'oneline'),
        'description'       => esc_html__('Is applied for post, category, search, archive, tag pages, etc.', 'oneline'),
        'section'     => 'page_layout',
        'choices' => array(
        'right' => esc_html__('Right sidebar', 'oneline'),
        'left' => esc_html__('Left sidebar', 'oneline'),
        'no-sidebar' => esc_html__('No sidebar', 'oneline'),
                    )
                )
            ); 

// header-bg-overlay
$wp_customize->add_setting('page_hdr_bg_overly',
        array(
            'default'     => 'rgba(19, 19, 19, 0.56)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );

$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'page_hdr_bg_overly',
            array(
                'label'     => __('Overlay Color','oneline'),
                'description'=> __('Set overlay color page header image or set a header color','oneline'),
                'section'   => 'page_layout',
                'settings'  => 'page_hdr_bg_overly',
                'palette'   => $palette
            )
        )
    );
$wp_customize->add_setting('page_title_clr', array(
        'default'        => '#D4B068',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control( $wp_customize,'page_title_clr', array(
        'label'      => __('Page Title Color', 'oneline' ),
        'section'    => 'page_layout',
        'settings'   => 'page_title_clr',
    ) ) 
);
//copyright
        $wp_customize->add_section('copyright_setting', array(
            'title'    => __('Copyright Text','oneline'),
            'priority' => 7,
            'panel'    =>'theme_optn'
            ));
      $wp_customize->add_setting('copyright_text', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
       $wp_customize->add_control('copyright_text', array(
            'label'    => __('Copyright Text', 'oneline'),
            'section'  => 'copyright_setting',
            'settings' => 'copyright_text',
             'type'       => 'textarea',
            )); 
       //social icon        
       $wp_customize->add_section('social_option', array(
            'title'    => __('Social Icon', 'oneline'),
            'priority' => 6,
            'panel'    =>'theme_optn'
            ));
       $wp_customize->add_setting('social_link_facebook', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
        ));
        $wp_customize->add_control('social_link_facebook', array(
        'label'    => __('Facebook URL', 'oneline'),
        'section'  => 'social_option',
        'settings' => 'social_link_facebook',
         'type'       => 'text',
        ));

        $wp_customize->add_setting('social_link_google', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
        ));
        $wp_customize->add_control('social_link_google', array(
        'label'    => __('Google+ URL', 'oneline'),
        'section'  => 'social_option',
        'settings' => 'social_link_google',
         'type'       => 'text',
        ));
        $wp_customize->add_setting('social_link_linkedin', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
        ));
        $wp_customize->add_control('social_link_linkedin', array(
        'label'    => __('LinkedIn URL', 'oneline'),
        'section'  => 'social_option',
        'settings' => 'social_link_linkedin',
         'type'       => 'text',
        ));
        $wp_customize->add_setting('social_link_pintrest', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
        ));
        $wp_customize->add_control('social_link_pintrest', array(
        'label'    => __('Pintrest URL', 'oneline'),
        'section'  => 'social_option',
        'settings' => 'social_link_pintrest',
         'type'       => 'text',
        ));
        $wp_customize->add_setting('social_link_twitter', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
        
        ));
        $wp_customize->add_control('social_link_twitter', array(
        'label'    => __('Twitter URL', 'oneline'),
        'section'  => 'social_option',
        'settings' => 'social_link_twitter',
         'type'       => 'text',
        ));
        $wp_customize->add_setting('social_link_insta', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
        
        ));
        $wp_customize->add_control('social_link_insta', array(
        'label'    => __('Instagram URL', 'oneline'),
        'section'  => 'social_option',
        'settings' => 'social_link_insta',
         'type'       => 'text',
        ));
        $wp_customize->add_section('footer_top_background', array(
            'title'    => __('Footer Setting', 'oneline'),
            'priority' => 7,
            'panel'    =>'theme_optn'
            ));
        $wp_customize->add_setting('footer_top_svg_background', array(
            'default'        => 'svg',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
            ));
        $wp_customize->add_control( 'footer_top_svg_background', array(
            'settings' => 'footer_top_svg_background',
            'label'   => __('Widget Section','oneline'),
            'section' => 'footer_top_background',
            'type'    => 'radio',
            'choices'    => array(
                'svg'      => 'Color with SVG',
                'color'    => 'Color without SVG',
            ),
            ));
        if( class_exists('Oneline_Customize_Control_Radio_Image' )){
        $wp_customize->add_setting(
            'footer_top_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
    $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'footer_top_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'footer_top_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    } 
    if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'footerwidget_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 50,
                
            )
        );

        $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'footerwidget_top_padding', array(
                    'label' => esc_html__( 'Widget Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'footer_top_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );
    }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'footerwidget_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 50,   
            )
        );
       $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'footerwidget_bottom_padding', array(
                    'label' => esc_html__( 'Widget Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'footer_top_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   

   }
        $wp_customize->add_setting('footer_bottom_svg_background', array(
            'default'        => 'svg',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
            ));
        $wp_customize->add_control( 'footer_bottom_svg_background', array(
            'settings' => 'footer_bottom_svg_background',
            'label'   => __('Copyright Section','oneline'),
            'section' => 'footer_top_background',
            'type'    => 'radio',
            'choices'    => array(
                'svg'      => 'Color with SVG',
                'color'    => 'Color without SVG',
            ),
            )); 
             if( class_exists('Oneline_Customize_Control_Radio_Image' )){
        $wp_customize->add_setting(
            'footer_bottom_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
    $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'footer_bottom_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'footer_top_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    }     
    if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'footercopy_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 0,
                
            )
        );

        $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'footercopy_top_padding', array(
                    'label' => esc_html__( 'Copyright Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'footer_top_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );
    }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'footercopy_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 0,   
            )
        );
       $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'footercopy_bottom_padding', array(
                    'label' => esc_html__( 'Copyright Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'footer_top_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   

   }
//=============================
//= Theme option = End
//==============================

 //  Genral Settings 
$wp_customize->get_section('title_tagline')->title = esc_html__('General Setting', 'oneline');
$wp_customize->get_section('title_tagline')->priority = 3;
   //Menu Options
    $wp_customize->add_setting('title_disable', array(
        'default'           => 'enable',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('title_disable', array(
        'label'    => __('Display Site Title & Tagline', 'oneline'),
        'section'  => 'title_tagline',
        'settings' => 'title_disable',
         'type'       => 'checkbox',
        'choices'    => array(
            'enable' => 'Display Site Title & Tagline',
        ),
    ));
    $wp_customize->add_panel( 'settings_panel', array(
        'priority'       => 4,
        'title'          => __('Section Setting', 'oneline'),
    ) );
    $wp_customize->add_section('section_sorting', array(
        'title'    => __('Section Ordering', 'oneline'),
        'priority' => 1,
        'panel'    =>'settings_panel'
    ));
    // section ordering
    $wp_customize->add_setting('_sorting', array(
        'default'        =>array('section_slider','section_services','section_ribbon',
        'section_portfolio','section_aboutus','section_team','section_testimonial','section_blog','section_pricing','section_woo',
        'section_countactus','section_map','section_custom','section_customsecond','section_customthird','section_brand'),
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'th_checkbox_explode'
    ));
    $wp_customize->add_control(new TH_Customize_Sort_List(
         $wp_customize,'_sorting', array(
        'settings' => '_sorting',
        'label'   => __( 'Section Order Option', 'oneline' ),
        'section' => 'section_sorting',
        'choices' => array(
                'section_slider'      => __( 'Slider Section','oneline' ),
                'section_services'    => __( 'Our Services','oneline' ),
                'section_ribbon'      => __( 'Ribbon Section','oneline' ),
                'section_portfolio'   => __( 'Portfolio Section','oneline' ),
                'section_aboutus'     => __( 'About Us Section','oneline' ),
                'section_team'        => __( 'Our Team Section','oneline' ),
                'section_testimonial' => __( 'Testimonial Section','oneline'),                    
                'section_blog'        => __( 'Latest Post Section','oneline' ),
                'section_pricing'     => __( 'Price Section','oneline' ),
                'section_countactus'  => __( 'Contact Us Section', 'oneline' ),
                'section_map'         => __( 'Map Section','oneline' ),
                'section_woo'         => __( 'Woocommerce Section','oneline' ),
                'section_custom'      => __( 'Custom Widget Section1','oneline' ),
                'section_customsecond'=> __( 'Custom Widget Section2','oneline' ),
                'section_customthird' => __( 'Custom Widget Section3','oneline' ),
                'section_brand'       => __( 'Brand Section','oneline' ),
            )
        ) 
    )
);

    $wp_customize->add_section('section_onoff', array(
        'title'    => __('Section on/off', 'oneline'),
        'priority' => 2,
        'panel'    =>'settings_panel'
    ));
       //= Choose Post Meta  =
     $wp_customize->add_setting('section_on_off', array(
        'default'        =>array(),
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'th_checkbox_explode'
    ));
    $wp_customize->add_control(new TH_Customize_Control_Checkbox_Multiple(
         $wp_customize,'section_on_off', array(
        'settings' => 'section_on_off',
        'label'   => __( 'Section On/Off Options', 'oneline' ),
        'section' => 'section_onoff',
          'choices' => array(
                    'slider'            => __( 'Slider Section','oneline' ),
                    'services'          => __( 'Our Services','oneline' ),
                    'ribbon'            => __( 'Ribbon Section','oneline' ),
                    'portfolio'         => __( 'Portfolio Section','oneline' ),
                    'aboutus'           => __( 'About Us Section','oneline' ),
                    'team'              => __( 'Our Team Section','oneline' ),
                    'testimonial'       => __( 'Testimonial Section','oneline' ),
                    'blog'              => __( 'Latest Post Section','oneline' ),
                    'pricing'           => __( 'Price Section','oneline' ),
                    'contactus'         => __( 'Contact Us Section','oneline' ),
                    'map'               => __( 'Map Section','oneline' ),
                    'woo'               => __( 'Woocommerce Section','oneline' ),
                    'brand'             => __( 'Brand Section','oneline' ),
                    'custom-sec'        => __('Custom Widget Section1','oneline' ),
                    'custom-second-off' => __( 'Custom Widget Section2','oneline' ),
                    'custom-third-off'  => __( 'Custom Widget Section3','oneline' ),
            )
        )
    )
);

//****** Slider Section ****//
$wp_customize->add_panel( 'slider_panel', array(
        'priority'       => 5,
        'title'          => __('Slider Section', 'oneline'),
        'description'    => '',
        ));
// slider setting
$wp_customize->add_section('_slider_setng', array(
            'title'    => __('Slider Setting', 'oneline'),
            'priority' => 1,
            'panel'  => 'slider_panel',
  ));      
$wp_customize->add_setting('oneline_slider_speed', array(
        'default'           => __('3000','oneline'),
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_sanitize_textarea',
        
    ));
    $wp_customize->add_control('oneline_slider_speed', array(
        'label'    => __('Speed', 'oneline'),
        'section'  => '_slider_setng',
        'settings' => 'oneline_slider_speed',
         'type'       => 'text',
    ));       
 // slider-button-style
$wp_customize->add_setting( 'slidr_button',
    array(
              'sanitize_callback' => 'sanitize_text_field',
              'default'           => 'default',
              )
         );
$wp_customize->add_control('slidr_button',
        array(
        'type'        => 'select',
        'label'       => esc_html__('Button', 'oneline'),
        'description'       => esc_html__('Choose button style for slider.', 'oneline'),
        'section'     => '_slider_setng',
        'choices' => array(
        'default' => esc_html__('Button style 1', 'oneline'),
        'button-one' => esc_html__('Button style 2', 'oneline'),
        'button-two' => esc_html__('Button style 3', 'oneline'),
        'button-three' => esc_html__('Button style 4', 'oneline'),
        'button-four' => esc_html__('Button style 5', 'oneline'),
             )
           )
        );
// Disable parallax effect in slider section
            $wp_customize->add_setting( '_slider_parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( '_slider_parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => '_slider_setng',
                    'description' => esc_html__('Check here to disable Parallax effect in Slider', 'oneline')
                )
            );

// overlay-color
            $wp_customize->add_section('_slider_clr', array(
            'title'    => __('Color', 'oneline'),
            'priority' => 2,
            'panel'  => 'slider_panel',
  ));
        $wp_customize->add_setting('sldr_img_overly_color',
        array(
            'default'     => 'rgba(0, 0, 0, 0.55)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );

        $wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'sldr_img_overly_color',
            array(
                'label'     => __('Overlay Color','oneline'),
                'section'   => '_slider_clr',
                'settings'  => 'sldr_img_overly_color',
                'palette'   => $palette
            )
          )
        );

    // heading-color
        $wp_customize->add_setting('slider_heading_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'slider_heading_color', array(
        'label'      => __('Heading Color', 'oneline' ),
        'section'    => '_slider_clr',
        'settings'   => 'slider_heading_color',
        ) ) );

$wp_customize->add_setting('slider_button_bg_color',
        array(
            'default'     => '',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'slider_button_bg_color',
            array(
                'label'     => __('Button BG Color','oneline'),
                'section'   => '_slider_clr',
                'settings'  => 'slider_button_bg_color',
                'palette'   => $palette
            )
          )
        );
        $wp_customize->add_setting('slider_button_brd_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'slider_button_brd_color', array(
        'label'      => __('Button Border Color', 'oneline' ),
        'section'    => '_slider_clr',
        'settings'   => 'slider_button_brd_color',
        ) ) );

        $wp_customize->add_setting('slider_button_txt_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'slider_button_txt_color', array(
        'label'      => __('Button Text Color', 'oneline' ),
        'section'    => '_slider_clr',
        'settings'   => 'slider_button_txt_color',
        ) ) );
     // hover-button
$wp_customize->add_setting('slider_button_hover_color',
        array(
            'default'     => 'rgba(255,255,255,0.5)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'slider_button_hover_color',
            array(
                'label'     => __('Button BG Hover Color','oneline'),
                'section'   => '_slider_clr',
                'settings'  => 'slider_button_hover_color',
                'palette'   => $palette
            )
          )
        );
$wp_customize->add_setting('slider_button_brd_hover_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'slider_button_brd_hover_color', array(
        'label'      => __('Button Border Hover Color', 'oneline' ),
        'section'    => '_slider_clr',
        'settings'   => 'slider_button_brd_hover_color',
        ) ) );
 $wp_customize->add_setting('slider_button_txt_hover_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'slider_button_txt_hover_color', array(
        'label'      => __('Button Text Hover Color', 'oneline' ),
        'section'    => '_slider_clr',
        'settings'   => 'slider_button_txt_hover_color',
        ) ) );

        //First slider image
        $wp_customize->add_section('section_slider_first', array(
            'title'    => __('First Slider', 'oneline'),
            'priority' => 2,
             'panel'  => 'slider_panel',
         ));
         $wp_customize->add_setting('first_slider_image', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_upload'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'first_slider_image', array(
            'label'    => __('Slider Image Upload', 'oneline'),
            'section'  => 'section_slider_first',
            'settings' => 'first_slider_image',
        )));
        $wp_customize->add_setting('first_slider_heading', array(
            'default'           => 'Heading',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea',
        ));
        $wp_customize->add_control('first_slider_heading', array(
            'label'    => __('Slider Heading', 'oneline'),
            'section'  => 'section_slider_first',
            'settings' => 'first_slider_heading',
             'type'       => 'textarea',
        ));
        $wp_customize->add_setting('first_slider_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('first_slider_link', array(
            'label'    => __('Link for Heading', 'oneline'),
            'section'  => 'section_slider_first',
            'settings' => 'first_slider_link',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('first_button_text', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field',
        ));
        $wp_customize->add_control('first_button_text', array(
            'label'    => __('Text for button', 'oneline'),
            'section'  => 'section_slider_first',
            'settings' => 'first_button_text',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('first_button_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url_raw',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('first_button_link', array(
            'label'    => __('Link for button', 'oneline'),
            'section'  => 'section_slider_first',
            'settings' => 'first_button_link',
             'type'       => 'text',
        ));

        //Second slider image

        $wp_customize->add_section('section_slider_second', array(
            'title'    => __('Second Slider', 'oneline'),
            'priority' => 2,
             'panel'  => 'slider_panel',
        ));
        $wp_customize->add_setting('second_slider_image', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_upload'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'second_slider_image', array(
            'label'    => __('Slider Image Upload', 'oneline'),
            'section'  => 'section_slider_second',
            'settings' => 'second_slider_image',
        )));
        $wp_customize->add_setting('second_slider_heading', array(
            'default'           => 'Heading',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('second_slider_heading', array(
            'label'    => __('Slider Heading', 'oneline'),
            'section'  => 'section_slider_second',
            'settings' => 'second_slider_heading',
             'type'       => 'textarea',
        ));
        $wp_customize->add_setting('second_slider_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('second_slider_link', array(
            'label'    => __('Link for Heading', 'oneline'),
            'section'  => 'section_slider_second',
            'settings' => 'second_slider_link',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('second_button_text', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('second_button_text', array(
            'label'    => __('Text for button', 'oneline'),
            'section'  => 'section_slider_second',
            'settings' => 'second_button_text',
             'type'       => 'text',
         ));
        $wp_customize->add_setting('second_button_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url_raw',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('second_button_link', array(
            'label'    => __('Link for button', 'oneline'),
            'section'  => 'section_slider_second',
            'settings' => 'second_button_link',
             'type'       => 'text',
        ));

        //Third slider image

        $wp_customize->add_section('section_slider_third', array(
            'title'    => __('Third Slider', 'oneline'),
            'priority' => 3,
             'panel'  => 'slider_panel',
        ));
        $wp_customize->add_setting('third_slider_image', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_upload'
        ));
       $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'third_slider_image', array(
            'label'    => __('Slider Image Upload', 'oneline'),
            'section'  => 'section_slider_third',
            'settings' => 'third_slider_image',
        )));
        $wp_customize->add_setting('third_slider_heading', array(
            'default'           => 'Heading',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('third_slider_heading', array(
            'label'    => __('Slider Heading', 'oneline'),
            'section'  => 'section_slider_third',
            'settings' => 'third_slider_heading',
             'type'       => 'textarea',
        ));
        $wp_customize->add_setting('third_slider_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('third_slider_link', array(
            'label'    => __('Link for Heading', 'oneline'),
            'section'  => 'section_slider_third',
            'settings' => 'third_slider_link',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('third_button_text', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('third_button_text', array(
            'label'    => __('Text for button', 'oneline'),
            'section'  => 'section_slider_third',
            'settings' => 'third_button_text',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('third_button_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url_raw',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('third_button_link', array(
            'label'    => __('Link for button', 'oneline'),
            'section'  => 'section_slider_third',
            'settings' => 'third_button_link',
             'type'       => 'text',
        ));

        //Fourth slider image
        $wp_customize->add_section('section_slider_fourth', array(
            'title'    => __('Fourth Slider', 'oneline'),
            'priority' => 4,
             'panel'  => 'slider_panel',
        ));
        $wp_customize->add_setting('fourth_slider_image', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_upload'
        ));
       $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'fourth_slider_image', array(
            'label'    => __('Slider Image Upload', 'oneline'),
            'section'  => 'section_slider_fourth',
            'settings' => 'fourth_slider_image',
        )));
        $wp_customize->add_setting('fourth_slider_heading', array(
            'default'           => 'Heading',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('fourth_slider_heading', array(
            'label'    => __('Slider Heading', 'oneline'),
            'section'  => 'section_slider_fourth',
            'settings' => 'fourth_slider_heading',
             'type'       => 'textarea',
        ));
        $wp_customize->add_setting('fourth_slider_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('fourth_slider_link', array(
            'label'    => __('Link for Heading', 'oneline'),
            'section'  => 'section_slider_fourth',
            'settings' => 'fourth_slider_link',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('fourth_button_text', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('fourth_button_text', array(
            'label'    => __('Text for button', 'oneline'),
            'section'  => 'section_slider_fourth',
            'settings' => 'fourth_button_text',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('fourth_button_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url_raw',
            'transport'         => 'postMessage'
        ));
        $wp_customize->add_control('fourth_button_link', array(
            'label'    => __('Link for button', 'oneline'),
            'section'  => 'section_slider_fourth',
            'settings' => 'fourth_button_link',
             'type'       => 'text',
        ));

         //Fifth slider image

        $wp_customize->add_section('section_slider_fifth', array(
            'title'    => __('Five Slider', 'oneline'),
            'priority' => 5,
             'panel'  => 'slider_panel',
        ));
        $wp_customize->add_setting('fifth_slider_image', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_upload'
        ));
       $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'fifth_slider_image', array(
            'label'    => __('Slider Image Upload', 'oneline'),
            'section'  => 'section_slider_fifth',
            'settings' => 'fifth_slider_image',
        )));
        $wp_customize->add_setting('fifth_slider_heading', array(
            'default'           => 'Heading',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
        ));
        $wp_customize->add_control('fifth_slider_heading', array(
            'label'    => __('Slider Heading', 'oneline'),
            'section'  => 'section_slider_fifth',
            'settings' => 'fifth_slider_heading',
             'type'       => 'textarea',
        ));
        $wp_customize->add_setting('fifth_slider_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url',
        ));
        $wp_customize->add_control('fifth_slider_link', array(
            'label'    => __('Link for Heading', 'oneline'),
            'section'  => 'section_slider_fifth',
            'settings' => 'fifth_slider_link',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('fifth_button_text', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control('fifth_button_text', array(
            'label'    => __('Text for button', 'oneline'),
            'section'  => 'section_slider_fifth',
            'settings' => 'fifth_button_text',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('fifth_button_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url_raw'
        ));
        $wp_customize->add_control('fifth_button_link', array(
            'label'    => __('Link for button', 'oneline'),
            'section'  => 'section_slider_fifth',
            'settings' => 'fifth_button_link',
             'type'       => 'text',
        ));

         //Sixth slider image

        $wp_customize->add_section('section_slider_sixth', array(
            'title'    => __('Six Slider', 'oneline'),
            'priority' => 6,
             'panel'  => 'slider_panel',
        ));
        $wp_customize->add_setting('sixth_slider_image', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_upload'
        ));
       $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'sixth_slider_image', array(
            'label'    => __('Slider Image Upload', 'oneline'),
            'section'  => 'section_slider_sixth',
            'settings' => 'sixth_slider_image',
        )));
        $wp_customize->add_setting('sixth_slider_heading', array(
            'default'           => 'Heading',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
        ));
        $wp_customize->add_control('sixth_slider_heading', array(
            'label'    => __('Slider Heading', 'oneline'),
            'section'  => 'section_slider_sixth',
            'settings' => 'sixth_slider_heading',
             'type'       => 'textarea',
        ));
        $wp_customize->add_setting('sixth_slider_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url',
        ));
        $wp_customize->add_control('sixth_slider_link', array(
            'label'    => __('Link for Heading', 'oneline'),
            'section'  => 'section_slider_sixth',
            'settings' => 'sixth_slider_link',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('sixth_button_text', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control('sixth_button_text', array(
            'label'    => __('Text for button', 'oneline'),
            'section'  => 'section_slider_sixth',
            'settings' => 'sixth_button_text',
             'type'       => 'text',
        ));
        $wp_customize->add_setting('sixth_button_link', array(
            'default'           => '#',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'esc_url_raw'
        ));
        $wp_customize->add_control('sixth_button_link', array(
            'label'    => __('Link for button', 'oneline'),
            'section'  => 'section_slider_sixth',
            'settings' => 'sixth_button_link',
             'type'       => 'text',
        ));
 
// end slider section
/** Our Services Section ***/
    $wp_customize->add_panel( 'services_panel', array(
        'priority'       => 5,
        'title'          => __('Service Section', 'oneline'),
    ) );
    $wp_customize->add_section('services_setting', array(
        'title'    => __('Main Heading & Sub heading', 'oneline'),
        'priority' => 1,
        'panel'    =>'services_panel'
    ));
    $wp_customize->add_setting('our_services_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_sanitize_textarea'
    ));
   $wp_customize->add_control('our_services_heading', array(
        'label'    => __('Main Heading', 'oneline'),
        'section'  => 'services_setting',
        'settings' => 'our_services_heading',
         'type'       => 'text',
    )); 
    $wp_customize->add_setting('our_services_subheading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_sanitize_textarea'

    ));
    $wp_customize->add_control('our_services_subheading', array(
        'label'    => __('Sub Heading', 'oneline'),
        'section'  => 'services_setting',
        'settings' => 'our_services_subheading',
        'type'       => 'textarea',
    )); 
    //svg 
    $wp_customize->add_section('services_background', array(
        'title'    => __('Background', 'oneline'),
        'priority' => 2,
        'panel'    =>'services_panel'
    ));
    $wp_customize->add_setting('services_svg_background', array(
        'default'        => 'svg',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control( 'services_svg_background', array(
        'settings' => 'services_svg_background',
        'label'   => __('Background Option','oneline'),
        'section' => 'services_background',
        'type'    => 'radio',
        'choices'    => array(
            'svg'      => 'Color with SVG',
            'color'    => 'Color without SVG',
            'image'    => 'Image without SVG',  
        ),
    ));
    if( class_exists( 'Oneline_Customize_Control_Radio_Image' ) ){
        $wp_customize->add_setting(
            'service_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
    $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'service_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'services_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    } 
    //image
    $wp_customize->add_setting('services_bg_image', array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control(
        $wp_customize, 'services_bg_image', array(
        'label'    => __('Upload Background Image', 'oneline'),
        'section'  => 'services_background',
        'settings' => 'services_bg_image',
    )));
// overlay-color
$wp_customize->add_setting('service_img_overly_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'service_img_overly_color',
            array(
                'label'      => __('Background Color','oneline'),
                'description'=> __('(Set background color for section or set color with transparency for Image overlay)','oneline'),
                'section'    => 'services_background',
                'settings'   => 'service_img_overly_color',
                'palette'    => $palette
            )
        )
    );
if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ) {
      $wp_customize->add_setting(
            'service_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 120,
                
            )
        );

        $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'service_top_padding', array(
                    'label' => esc_html__( 'Section Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'services_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );
    }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'service_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 180,   
            )
        );
       $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'service_bottom_padding', array(
                    'label' => esc_html__( 'Section Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'services_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   

   }
// Disable parallax effect in all pages site
            $wp_customize->add_setting( 'service_parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'service_parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => 'services_background',
                    'description' => esc_html__('Check here to disable Parallax effect in service section', 'oneline')
                )
            ); 

    //color
    $wp_customize->add_section('services_color', array(
        'title'    => __('Color', 'oneline'),
        'priority' => 4,
        'panel'    =>'services_panel'
    ));

    $wp_customize->add_setting('services_heading_color', array(
        'default'        => '#000',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'services_heading_color', array(
        'label'      => __('Heading Color', 'oneline' ),
        'section'    => 'services_color',
        'settings'   => 'services_heading_color',
    ) ) );
    $wp_customize->add_setting('services_subheading_color', array(
        'default'        => '#7D7D7D',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'services_subheading_color', array(
        'label'      => __('Sub Heading Color', 'oneline' ),
        'section'    => 'services_color',
        'settings'   => 'services_subheading_color',
    ) ) );
// end services section
/** Our Ribbon Section ***/
    $wp_customize->add_panel( 'ribbon_panel', array(
        'priority'       => 6,
        'title'          => __('Ribbon Section', 'oneline'),
    ) );
    $wp_customize->add_section('ribbon_sittings', array(
        'title'    => __('Ribbon Setting', 'oneline'),
        'priority' => 1,
        'panel'    =>'ribbon_panel'
    ));
    $wp_customize->add_setting('ribbon_heading', array(
        'default'           => '',
        'sanitize_callback' => 'oneline_sanitize_textarea'
    ));
    $wp_customize->add_control('ribbon_heading', array(
        'label'    => __('Main Heading', 'oneline'),
        'section'  => 'ribbon_sittings',
        'settings' => 'ribbon_heading',
        'type'       => 'text',
    ));
    $wp_customize->add_setting('ribbon_button_text', array(
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
   $wp_customize->add_control('ribbon_button_text', array(
        'label'    => __('Button Text', 'oneline'),
        'section'  => 'ribbon_sittings',
        'settings' => 'ribbon_button_text',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('ribbon_button_link', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('ribbon_button_link', array(
        'label'    => __('Button Link', 'oneline'),
        'section'  => 'ribbon_sittings',
        'settings' => 'ribbon_button_link',
         'type'       => 'text',
    )); 
     //svg 
    $wp_customize->add_section('ribbon_background', array(
        'title'    => __('Background', 'oneline'),
        'priority' => 2,
        'panel'    =>'ribbon_panel'
    ));
    $wp_customize->add_setting('ribbon_svg_background', array(
        'default'        => 'svg',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control( 'ribbon_svg_background', array(
        'settings' => 'ribbon_svg_background',
        'label'   => __('Background Option','oneline'),
        'section' => 'ribbon_background',
        'type'    => 'radio',
        'choices'    => array(
            'svg'      => 'Color with SVG',
            'color'    => 'Color without SVG',
            'image'    => 'Image without SVG',
            'video'    => 'Video without SVG', 
        ),
    ));
    if( class_exists('Oneline_Customize_Control_Radio_Image' )){
        $wp_customize->add_setting(
            'ribbon_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
    $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'ribbon_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'ribbon_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    } 
    $wp_customize->add_setting('ribbon_bg_image', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control(
        $wp_customize, 'ribbon_bg_image', array(
        'label'    => __('Upload Background Image', 'oneline'),
        'section'  => 'ribbon_background',
        'settings' => 'ribbon_bg_image',
    )));
     $wp_customize->add_setting('ribbon_bg_video', array(
       'default'        => '',
       'sanitize_callback' => 'sanitize_text_field'
   ));
   $wp_customize->add_control( new WP_Customize_Upload_Control(
       $wp_customize, 'ribbon_bg_video', array(
       'label'    => __('Upload Background Video', 'oneline'),
       'section'  => 'ribbon_background',
       'settings' => 'ribbon_bg_video',
   )));
   $wp_customize->add_setting('ribbon_video_poster_image', array(
        'default'        => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control(
        $wp_customize, 'ribbon_video_poster_image', array(
        'label'    => __('Upload Video Poster Image', 'oneline'),
        'section'  => 'ribbon_background',
        'settings' => 'ribbon_video_poster_image',
    )));
    // audio muted
            $wp_customize->add_setting('ribbon_adio',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'ribbon_adio',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Audio ?', 'oneline'),
                    'section'     => 'ribbon_background',
                    'description' => esc_html__('Check here to disable Audio', 'oneline')
                )
            ); 
// overlay-color or bg color
$wp_customize->add_setting('ribbon_background_color',
        array(
            'default'     => '#1F1F1F',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'ribbon_background_color',
            array(
                'label'      => __('Background Color','oneline'),
                'description'=> __('(Set background color for section or set color with transparency for Image overlay)','oneline'),
                'section'    => 'ribbon_background',
                'settings'   => 'ribbon_background_color',
                'palette'    => $palette
            )
        )
    );
        // Disable parallax effect in all pages site
            $wp_customize->add_setting('ribbon_parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'ribbon_parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => 'ribbon_background',
                    'description' => esc_html__('Check here to disable Parallax effect in Ribbon section', 'oneline')
                )
            ); 

if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'ribbon_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 120,
                
            )
        );

        $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'ribbon_top_padding', array(
                    'label' => esc_html__( 'Section Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'ribbon_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );
    }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'ribbon_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 180,   
            )
        );
       $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'ribbon_bottom_padding', array(
                    'label' => esc_html__( 'Section Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'ribbon_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   

   }

// Color
    $wp_customize->add_section('ribbon_color', array(
        'title'    => __('Color', 'oneline'),
        'priority' => 4,
        'panel'    =>'ribbon_panel'
    ));
    
    $wp_customize->add_setting('ribbon_text_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'ribbon_text_color', array(
        'label'      => __('Ribbon Text Color', 'oneline' ),
        'section'    => 'ribbon_color',
        'settings'   => 'ribbon_text_color',
    ) ) );

// ribbon-button
// break    
 $wp_customize->add_setting('rbn_line_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
 $wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'rbn_line_break_color',array(
            'section' => 'ribbon_color',
            'description' => __( 'Button', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
 ))); 
    
$wp_customize->add_setting('ribbon_btn_bg_color',
        array(
            'default'     => 'rgba(0, 0, 0, 0)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'ribbon_btn_bg_color',
            array(
                'label'      => __('Button Background Color','oneline'),
                'section'    => 'ribbon_color',
                'settings'   => 'ribbon_btn_bg_color',
                'palette'    => $palette
            )
        )
    );

$wp_customize->add_setting('ribbon_btntext_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'ribbon_btntext_color', array(
        'label'      => __('Button Text Color', 'oneline' ),
        'section'    => 'ribbon_color',
        'settings'   => 'ribbon_btntext_color',
    ) ) );

$wp_customize->add_setting('ribbon_btnbrd_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'ribbon_btnbrd_color', array(
        'label'      => __('Button Border Color', 'oneline' ),
        'section'    => 'ribbon_color',
        'settings'   => 'ribbon_btnbrd_color',
    ) ) );

$wp_customize->add_setting('ribbon_btn_bg_hvr_color',
        array(
            'default'     => 'rgba(0, 0, 0, 0)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'ribbon_btn_bg_hvr_color',
            array(
                'label'      => __('Button Background Hover Color','oneline'),
                'section'    => 'ribbon_color',
                'settings'   => 'ribbon_btn_bg_hvr_color',
                'palette'    => $palette
            )
        )
    );
$wp_customize->add_setting('ribbon_txt_hvr_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'ribbon_txt_hvr_color', array(
        'label'      => __('Button Text Hover Color', 'oneline' ),
        'section'    => 'ribbon_color',
        'settings'   => 'ribbon_txt_hvr_color',
    ) ) );

    $wp_customize->add_setting('ribbon_brd_hvr_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'ribbon_brd_hvr_color', array(
        'label'      => __('Button Border Hover Color', 'oneline' ),
        'section'    => 'ribbon_color',
        'settings'   => 'ribbon_brd_hvr_color',
    ) ) );
// end ribbon
/***************************************************/
/** Portfolio Section ***/
/***************************************************/
$wp_customize->add_panel( 'portfolio_panel', array(
        'priority'       => 7,
        'title'          => __('Portfolio Section', 'oneline'),
) );
// portfolio setting
$wp_customize->add_section('our_port_settings', array(
        'title'    => __('Portfolio Setting', 'oneline'),
        'priority' => 2,
        'panel'  => 'portfolio_panel',
    ));
$wp_customize->add_setting('our_port_default_images', array(
        'default'           => 8,
        'sanitize_callback' => 'oneline_sanitize_int',
       
    ));
   $wp_customize->add_control('our_port_default_images', array(
        'label'    => __('Number of Portfolio Images Show', 'oneline'),
        'section'  => 'our_port_settings',
        'settings' => 'our_port_default_images',
        'type'     => 'number',
    )); 

   $wp_customize->add_setting('our_port_category', array(
        'default'           =>array(0),
        'sanitize_callback' => 'th_checkbox_explode'
    ));
    $wp_customize->add_control(new TH_Customize_Control_Checkbox_Multiple(
            $wp_customize,'our_port_category', array(
        'settings' => 'our_port_category',
        'label'   => __( 'Show Portfolio Category ', 'oneline' ),
        'section' => 'our_port_settings',
        'choices' => $cats
        ) 
    )
);
// popup/page shows 
        $wp_customize->add_setting('portfolio_popup', array(
            'default'        => 'port_page',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 'portfolio_popup', array(
            'settings' => 'portfolio_popup',
            
            'description' => __('(Select the radio button)','oneline'),
            'section' => 'our_port_settings',
            'type'    => 'radio',
            'choices'    => array(
                'port_page'       => 'Portfolio Single Page',
                'port_popup'      => 'Light Box',
                
            ),
        ));
//header
        $wp_customize->add_section('portfolio_setting', array(
            'title'    => __('Main Heading & Sub heading', 'oneline'),
            'priority' => 1,
            'panel'    =>'portfolio_panel'
        ));
        $wp_customize->add_setting('portfolio_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
        ));
       $wp_customize->add_control('portfolio_heading', array(
            'label'    => __('Main Heading', 'oneline'),
            'section'  => 'portfolio_setting',
            'settings' => 'portfolio_heading',
             'type'       => 'text',
        )); 
        $wp_customize->add_setting('portfolio_subheading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'

        ));
        $wp_customize->add_control('portfolio_subheading', array(
            'label'    => __('Sub Heading', 'oneline'),
            'section'  => 'portfolio_setting',
            'settings' => 'portfolio_subheading',
             'type'       => 'textarea',
        ));
    //svg 
        $wp_customize->add_section('portfolio_background', array(
            'title'    => __('Background', 'oneline'),
            'priority' => 2,
            'panel'    =>'portfolio_panel'
        ));
        $wp_customize->add_setting('portfolio_svg_background', array(
            'default'        => 'svg',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( 'portfolio_svg_background', array(
            'settings' => 'portfolio_svg_background',
            'label'   => __('Background Option','oneline'),
            'section' => 'portfolio_background',
            'type'    => 'radio',
            'choices'    => array(
                'svg'      => 'Color with SVG',
                'color'    => 'Color without SVG',
                'image'    => 'Image without SVG',  
            ),
        ));
        if( class_exists('Oneline_Customize_Control_Radio_Image' )){
        $wp_customize->add_setting(
            'portfolio_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'portfolio_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'portfolio_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    } 
    //image
        $wp_customize->add_setting('portfolio_bg_image', array(
            'default'        => '',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control(
            $wp_customize, 'portfolio_bg_image', array(
            'label'    => __('Upload Background Image', 'oneline'),
            'section'  => 'portfolio_background',
            'settings' => 'portfolio_bg_image',
        )));
// overlay-color
$wp_customize->add_setting('portfolio_background_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'portfolio_background_color',
            array(
                'label'      => __('Background Color','oneline'),
                'description'=> __('(Set background color for section or set color with transparency for Image overlay)','oneline'),
                'section'    => 'portfolio_background',
                'settings'   => 'portfolio_background_color',
                'palette'    => $palette
            )
        )
    );
// Disable parallax effect in all pages site
            $wp_customize->add_setting('portfolio_parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'portfolio_parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => 'portfolio_background',
                    'description' => esc_html__('Check here to disable Parallax effect in Portfolio section', 'oneline')
                )
            );
if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'portfolio_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 120,
                
            )
        );

        $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'portfolio_top_padding', array(
                    'label' => esc_html__( 'Section Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'portfolio_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );
    }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'portfolio_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 180,   
            )
        );
       $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'portfolio_bottom_padding', array(
                    'label' => esc_html__( 'Section Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'portfolio_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   

   }
    //color
        $wp_customize->add_section('portfolio_color', array(
            'title'    => __('Color', 'oneline'),
            'priority' => 4,
            'panel'    =>'portfolio_panel'
        ));
        $wp_customize->add_setting('portfolio_heading_color', array(
            'default'        => '#000',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'portfolio_heading_color', array(
            'label'      => __('Heading Color', 'oneline' ),
            'section'    => 'portfolio_color',
            'settings'   => 'portfolio_heading_color',
        ) ) );
        $wp_customize->add_setting('portfolio_subheading_color', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'portfolio_subheading_color', array(
            'label'      => __('Sub Heading Color', 'oneline' ),
            'section'    => 'portfolio_color',
            'settings'   => 'portfolio_subheading_color',
        ) ) );

// button-color   
// break    
 $wp_customize->add_setting('porfolio_cat_line_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
 $wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'porfolio_cat_line_break_color',array(
            'section' => 'portfolio_color',
            'description' => __( 'Button', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
 ))); 

$wp_customize->add_setting('port_cat_btn_bg_clr',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'port_cat_btn_bg_clr',
            array(
                'label'      => __('Button BG Color','oneline'),
                'section'    => 'portfolio_color',
                'settings'   => 'port_cat_btn_bg_clr',
                'palette'    => $palette
            )
        )
    );
$wp_customize->add_setting('port_cat_btn_txt_clr', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'port_cat_btn_txt_clr', array(
            'label'      => __('Button Text Color', 'oneline' ),
            'section'    => 'portfolio_color',
            'settings'   => 'port_cat_btn_txt_clr',
        ) ) );

$wp_customize->add_setting('port_cat_btn_brd_clr', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
$wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'port_cat_btn_brd_clr', array(
            'label'      => __('Button Border Color', 'oneline' ),
            'section'    => 'portfolio_color',
            'settings'   => 'port_cat_btn_brd_clr',
        ) ) ); 

 // break    
 $wp_customize->add_setting('porfolio_cat_hvr_line_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
 $wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'porfolio_cat_hvr_line_break_color',array(
            'section' => 'portfolio_color',
            'description' => __( 'Button Hover / Active Color', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
 )));         
 // hover-color
 $wp_customize->add_setting('port_cat_btn_bg_hvr_clr',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'port_cat_btn_bg_hvr_clr',
            array(
                'label'      => __('Button BG Hover Color','oneline'),
                'section'    => 'portfolio_color',
                'settings'   => 'port_cat_btn_bg_hvr_clr',
                'palette'    => $palette
            )
        )
    );
$wp_customize->add_setting('port_cat_btn_txt_hvr_clr', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'port_cat_btn_txt_hvr_clr', array(
            'label'      => __('Button Text Hover Color', 'oneline' ),
            'section'    => 'portfolio_color',
            'settings'   => 'port_cat_btn_txt_hvr_clr',
        ) ) );

$wp_customize->add_setting('port_cat_btn_brd_hvr_clr', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
$wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'port_cat_btn_brd_hvr_clr', array(
            'label'      => __('Button Border Hover Color', 'oneline' ),
            'section'    => 'portfolio_color',
            'settings'   => 'port_cat_btn_brd_hvr_clr',
        ) ) );  
// break    
 $wp_customize->add_setting('porfolio_clr_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
 $wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'porfolio_clr_break_color',array(
            'section' => 'portfolio_color',
            'description' => __( 'Portfolio Color', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
 )));   
$wp_customize->add_setting('port_bg_ovr_hvr_clr',
        array(
            'default'     => 'rgba(50, 55, 60, 0.92)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'port_bg_ovr_hvr_clr',
            array(
                'label'      => __('Portfolio Image Overlay Color','oneline'),
                'section'    => 'portfolio_color',
                'settings'   => 'port_bg_ovr_hvr_clr',
                'palette'    => $palette
            )
        )
    );
$wp_customize->add_setting('port_title_clr', array(
            'default'        => '#D4B068',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
$wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'port_title_clr', array(
            'label'      => __('Portfolio Title Color', 'oneline' ),
            'section'    => 'portfolio_color',
            'settings'   => 'port_title_clr',
        ) ) );  
$wp_customize->add_setting('port_title_brd_clr', array(
            'default'        => '#fff',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
$wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'port_title_brd_clr', array(
            'label'      => __('Portfolio Title Border Color', 'oneline' ),
            'section'    => 'portfolio_color',
            'settings'   => 'port_title_brd_clr',
        ) ) ); 
/***********************************/
/** About us Section ***/
/***********************************/
    $wp_customize->add_panel( 'aboutus_panel', array(
        'priority'       => 8,
        'title'          => __('About Us Section', 'oneline'),
        ));
    //header
        $wp_customize->add_section('aboutus_setting', array(
            'title'    => __('About Us Setting', 'oneline'),
            'priority' => 1,
            'panel'    =>'aboutus_panel'
            ));
        $wp_customize->add_setting('aboutus_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
       $wp_customize->add_control('aboutus_heading', array(
            'label'    => __('Main Heading', 'oneline'),
            'section'  => 'aboutus_setting',
            'settings' => 'aboutus_heading',
             'type'       => 'text',
            )); 
        $wp_customize->add_setting('aboutus_subheading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
        $wp_customize->add_control('aboutus_subheading', array(
            'label'    => __('Sub Heading', 'oneline'),
            'section'  => 'aboutus_setting',
            'settings' => 'aboutus_subheading',
             'type'       => 'textarea',
            ));
        $wp_customize->add_setting('aboutus_description', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
        $wp_customize->add_control('aboutus_description', array(
            'label'    => __('Description', 'oneline'),
            'section'  => 'aboutus_setting',
            'settings' => 'aboutus_description',
             'type'       => 'textarea',
            ));
    //link
       $wp_customize->add_setting('aboutus_facebbok_link', array(
            'default'           => '#',
            'sanitize_callback' => 'esc_url_raw',
            ));
        $wp_customize->add_control('aboutus_facebbok_link', array(
            'label'    => __('Facebook Link', 'oneline'),
            'section'  => 'aboutus_setting',
            'settings' => 'aboutus_facebbok_link',
             'type'       => 'text',
            ));
        $wp_customize->add_setting('aboutus_twitter_link', array(
            'default'           => '#',
            'sanitize_callback' => 'esc_url_raw',
            ));
        $wp_customize->add_control('aboutus_twitter_link', array(
            'label'    => __('Twitter Link', 'oneline'),
            'section'  => 'aboutus_setting',
            'settings' => 'aboutus_twitter_link',
             'type'       => 'text',
            ));  
        $wp_customize->add_setting('aboutus_gplus_link', array(
            'default'           => '#',
            'sanitize_callback' => 'esc_url_raw',
            ));
        $wp_customize->add_control('aboutus_gplus_link', array(
            'label'    => __('Google+ Link', 'oneline'),
            'section'  => 'aboutus_setting',
            'settings' => 'aboutus_gplus_link',
             'type'       => 'text',
            ));
        $wp_customize->add_setting('aboutus_linkedin_link', array(
            'default'           => '#',
            'sanitize_callback' => 'esc_url_raw',
            ));
        $wp_customize->add_control('aboutus_linkedin_link', array(
            'label'    => __('Linkedin Link', 'oneline'),
            'section'  => 'aboutus_setting',
            'settings' => 'aboutus_linkedin_link',
             'type'       => 'text',
            )); 
         $wp_customize->add_setting('aboutus_instagrm_link', array(
            'default'           => '#',
            'sanitize_callback' => 'esc_url_raw',
            ));
        $wp_customize->add_control('aboutus_instagrm_link', array(
            'label'    => __('Instagram Link', 'oneline'),
            'section'  => 'aboutus_setting',
            'settings' => 'aboutus_instagrm_link',
             'type'       => 'text',
            )); 
    //svg 
        $wp_customize->add_section('aboutus_background', array(
            'title'    => __('Background', 'oneline'),
            'priority' => 2,
            'panel'    =>'aboutus_panel'
            ));
        $wp_customize->add_setting('aboutus_svg_background', array(
            'default'        => 'svg',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
            ));
        $wp_customize->add_control( 'aboutus_svg_background', array(
            'settings' => 'aboutus_svg_background',
            'label'   => __('Background Options','oneline'),
            'section' => 'aboutus_background',
            'type'    => 'radio',
            'choices'    => array(
                'svg'      => 'Color with SVG',
                'color'    => 'Color without SVG',
                'image'    => 'Image without SVG',  
            ),
            ));
        if( class_exists('Oneline_Customize_Control_Radio_Image' )){
        $wp_customize->add_setting(
            'aboutus_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'aboutus_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'aboutus_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    } 
    //image
        $wp_customize->add_setting('aboutus_bg_image', array(
            'default'        => '',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control(
            $wp_customize, 'aboutus_bg_image', array(
            'label'    => __('Upload Background Image', 'oneline'),
            'section'  => 'aboutus_background',
            'settings' => 'aboutus_bg_image',
        )));
// overlay-color
        $wp_customize->add_setting('aboutus_background_color',
        array(
            'default'     => '#1F1F1F',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'aboutus_background_color',
            array(
                'label'      => __('Background Color','oneline'),
                'description' =>__('(Set background color for section or set color with transparency for Image overlay)'),
                'section'    => 'aboutus_background',
                'settings'   => 'aboutus_background_color',
                'palette'    => $palette
            )
        )
    );
// Disable parallax effect
            $wp_customize->add_setting( 'about_parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'about_parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => 'aboutus_background',
                    'description' => esc_html__('Check here to disable Parallax effect in About us section', 'oneline')
                )
            ); 
        if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
        $wp_customize->add_setting(
            'aboutus_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 120,
                
            )
        );
        $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'aboutus_top_padding', array(
                    'label' => esc_html__( 'Section Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'aboutus_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );
     }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'aboutus_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 180,   
            )
        );
       $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'aboutus_bottom_padding', array(
                    'label' => esc_html__( 'Section Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'aboutus_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   

   }
//color
        $wp_customize->add_section('aboutus_color', array(
            'title'    => __('Color', 'oneline'),
            'priority' => 4,
            'panel'    =>'aboutus_panel'
        ));
        $wp_customize->add_setting('aboutus_heading_color', array(
            'default'        => '#fff',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'aboutus_heading_color', array(
            'label'      => __('Heading Color', 'oneline' ),
            'section'    => 'aboutus_color',
            'settings'   => 'aboutus_heading_color',
        ) ) );
        $wp_customize->add_setting('aboutus_subheading_color', array(
            'default'        => '#808080',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'aboutus_subheading_color', array(
            'label'      => __('Sub Heading Color', 'oneline' ),
            'section'    => 'aboutus_color',
            'settings'   => 'aboutus_subheading_color',
        ) ) );

         $wp_customize->add_setting('aboutus_fletter_color', array(
            'default'        => '#D4B068',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'aboutus_fletter_color', array(
            'label'      => __('First Letter Color', 'oneline' ),
            'section'    => 'aboutus_color',
            'settings'   => 'aboutus_fletter_color',
        ) ) );

        $wp_customize->add_setting('aboutus_desc_color', array(
            'default'        => '#808080',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'aboutus_desc_color', array(
            'label'      => __('Description Color', 'oneline' ),
            'section'    => 'aboutus_color',
            'settings'   => 'aboutus_desc_color',
        ) ) );

        $wp_customize->add_setting('aboutus_hr_color', array(
            'default'        => '#fff',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'aboutus_hr_color', array(
            'label'      => __('Social Icon Color', 'oneline' ),
            'section'    => 'aboutus_color',
            'settings'   => 'aboutus_hr_color',
        ) ) );

         $wp_customize->add_setting('aboutus_socialhvr_color', array(
            'default'        => '#fff',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'aboutus_socialhvr_color', array(
            'label'      => __('Social Icon Hover Color', 'oneline' ),
            'section'    => 'aboutus_color',
            'settings'   => 'aboutus_socialhvr_color',
        ) ) );
/*************************/
/** Our Team Section ***/
/************************/
    $wp_customize->add_panel( 'team_panel', array(
        'priority'       => 9,
        'title'          => __('Team Section', 'oneline'),
        ));
    //header
        $wp_customize->add_section('team_setting', array(
            'title'    => __('Main Heading & Sub heading', 'oneline'),
            'priority' => 1,
            'panel'    =>'team_panel'
            ));
        $wp_customize->add_setting('team_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
       $wp_customize->add_control('team_heading', array(
            'label'    => __('Main Heading', 'oneline'),
            'section'  => 'team_setting',
            'settings' => 'team_heading',
             'type'       => 'text',
            )); 
        $wp_customize->add_setting('team_subheading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
        $wp_customize->add_control('team_subheading', array(
            'label'    => __('Sub Heading', 'oneline'),
            'section'  => 'team_setting',
            'settings' => 'team_subheading',
             'type'       => 'textarea',
            ));
    //svg 
        $wp_customize->add_section('team_background', array(
            'title'    => __('Background', 'oneline'),
            'priority' => 2,
            'panel'    =>'team_panel'
            ));
        $wp_customize->add_setting('team_svg_background', array(
            'default'        => 'svg',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
            ));
        $wp_customize->add_control( 'team_svg_background', array(
            'settings' => 'team_svg_background',
            'label'   => __('Background Options','oneline'),
            'section' => 'team_background',
            'type'    => 'radio',
            'choices'    => array(
                'svg'      => 'Color with SVG',
                'color'    => 'Color without SVG',
                'image'    => 'Image without SVG',  
            ),
            ));
        if( class_exists('Oneline_Customize_Control_Radio_Image' )){
        $wp_customize->add_setting(
            'team_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'team_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'team_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    } 
    //image
        $wp_customize->add_setting('team_bg_image', array(
            'default'        => '',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control(
            $wp_customize, 'team_bg_image', array(
            'label'    => __('Upload Background Image', 'oneline'),
            'section'  => 'team_background',
            'settings' => 'team_bg_image',
        )));

$wp_customize->add_setting('team_background_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'team_background_color',
            array(
                'label'      => __('Background Color','oneline'),
                'description' =>__('(Set background color for section or set color with transparency for Image overlay)'),
                'section'    => 'team_background',
                'settings'   => 'team_background_color',
                'palette'    => $palette
            )
        )
    );
// Disable parallax effect
            $wp_customize->add_setting( 'team_parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'team_parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => 'team_background',
                    'description' => esc_html__('Check here to disable Parallax effect in Team Section', 'oneline')
                )
            ); 
if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
        $wp_customize->add_setting(
            'team_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 120,
                
            )
        );
        $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'team_top_padding', array(
                    'label' => esc_html__( 'Section Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'team_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );
     }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'team_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 180,   
            )
        );
       $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'team_bottom_padding', array(
                    'label' => esc_html__( 'Section Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'team_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   

   }
//color
        $wp_customize->add_section('team_color', array(
            'title'    => __('Color', 'oneline'),
            'priority' => 4,
            'panel'    =>'team_panel'
        ));
        $wp_customize->add_setting('team_heading_color', array(
            'default'        => '#000',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'team_heading_color', array(
            'label'      => __('Heading Color', 'oneline' ),
            'section'    => 'team_color',
            'settings'   => 'team_heading_color',
        ) ) );
        $wp_customize->add_setting('team_subheading_color', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'team_subheading_color', array(
            'label'      => __('Sub Heading Color', 'oneline' ),
            'section'    => 'team_color',
            'settings'   => 'team_subheading_color',
        ) ) );
 /*************************/       
/***Testimonial Section ***/
/**************************/
        $wp_customize->add_panel( 'testimonial_panel', array(
        'priority'       => 10,
        'title'          => __('Testimonial Section', 'oneline'),
        ));
// header setting 
$wp_customize->add_section('testim_setting', array(
        'title'    => __('Testimonial Setting', 'oneline'),
        'priority' => 1,
        'panel'    =>'testimonial_panel'
    ));
   $wp_customize->add_setting('test_slider_speed', array(
        'default'           => __('3000','oneline'),
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_sanitize_textarea',
        
    ));
    $wp_customize->add_control('test_slider_speed', array(
        'label'    => __('Slider Speed', 'oneline'),
        'section'  => 'testim_setting',
        'settings' => 'test_slider_speed',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('our_testm_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_sanitize_textarea'
    ));
   $wp_customize->add_control('our_testm_heading', array(
        'label'    => __('Main Heading', 'oneline'),
        'section'  => 'testim_setting',
        'settings' => 'our_testm_heading',
         'type'       => 'text',
    )); 
    $wp_customize->add_setting('our_testm_subheading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'oneline_sanitize_textarea'

    ));
    $wp_customize->add_control('our_testm_subheading', array(
        'label'    => __('Sub Heading', 'oneline'),
        'section'  => 'testim_setting',
        'settings' => 'our_testm_subheading',
        'type'       => 'textarea',
    )); 
  
    //svg 
        $wp_customize->add_section('testimonial_background', array(
            'title'    => __('Background', 'oneline'),
            'priority' => 2,
            'panel'    =>'testimonial_panel'
            ));
        $wp_customize->add_setting('testimonial_svg_background', array(
            'default'        => 'svg',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
            ));
        $wp_customize->add_control( 'testimonial_svg_background', array(
            'settings' => 'testimonial_svg_background',
            'label'   => __('Background Option','oneline'),
            'section' => 'testimonial_background',
            'type'    => 'radio',
            'choices'    => array(
                'svg'      => 'Color with SVG',
                'color'    => 'Color without SVG',
                'image'    => 'Image without SVG',  
            ),
            ));
        if( class_exists('Oneline_Customize_Control_Radio_Image' )){
        $wp_customize->add_setting(
            'testimonial_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'testimonial_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'testimonial_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    } 
    //image
        $wp_customize->add_setting('testimonial_bg_image', array(
            'default'        => '',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control(
            $wp_customize, 'testimonial_bg_image', array(
            'label'    => __('Upload Background Image', 'oneline'),
            'section'  => 'testimonial_background',
            'settings' => 'testimonial_bg_image',
        )));
// overlay-color
 $wp_customize->add_setting('testimonial_background_color',
        array(
            'default'     => '#1F1F1F',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'testimonial_background_color',
            array(
                'label'      => __('Background Color','oneline'),
                'description' =>__('(Set background color for section or set color with transparency for Image overlay)'),
                'section'    => 'testimonial_background',
                'settings'   => 'testimonial_background_color',
                'palette'    => $palette
            )
        )
    );
// Disable parallax effect
            $wp_customize->add_setting( 'testimonial_parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'testimonial_parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => 'testimonial_background',
                    'description' => esc_html__('Check here to disable Parallax effect in Testimonial Section', 'oneline')
                )
            );        
if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
        $wp_customize->add_setting(
            'testimonial_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 120,
                
            )
        );
$wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'testimonial_top_padding', array(
                    'label' => esc_html__( 'Section Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'testimonial_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );
     }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'testimonial_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 180,   
            )
        );
       $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'testimonial_bottom_padding', array(
                    'label' => esc_html__( 'Section Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'testimonial_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   

   }
    //color
        $wp_customize->add_section('testimonial_color', array(
            'title'    => __('Color', 'oneline'),
            'priority' => 4,
            'panel'    =>'testimonial_panel'
        ));
        $wp_customize->add_setting('testimonial_heading_color', array(
            'default'        => '#fff',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'testimonial_heading_color', array(
            'label'      => __('Heading Color', 'oneline' ),
            'section'    => 'testimonial_color',
            'settings'   => 'testimonial_heading_color',
        ) ) );

        $wp_customize->add_setting('testimonial_subheading_color', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'testimonial_subheading_color', array(
            'label'      => __('Sub Heading Color', 'oneline' ),
            'section'    => 'testimonial_color',
            'settings'   => 'testimonial_subheading_color',
        ) ) );

        
         $wp_customize->add_setting('testimonial_author_color', array(
            'default'        => '#fff',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'testimonial_author_color', array(
            'label'      => __('Author Name Color', 'oneline' ),
            'section'    => 'testimonial_color',
            'settings'   => 'testimonial_author_color',
        ) ) );

        $wp_customize->add_setting('testimonial_websiteurl_color', array(
            'default'        => '#D4B068',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'testimonial_websiteurl_color', array(
            'label'      => __('Url & Border Color', 'oneline' ),
            'section'    => 'testimonial_color',
            'settings'   => 'testimonial_websiteurl_color',
        ) ) );


        $wp_customize->add_setting('testimonial_desc_color', array(
            'default'        => '#808080',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'testimonial_desc_color', array(
            'label'      => __('Description Color', 'oneline' ),
            'section'    => 'testimonial_color',
            'settings'   => 'testimonial_desc_color',
        ) ) );

/** woocommerce section**/
 $wp_customize->add_panel( 'woo_panel', array(
        'priority'       => 12,
        'title'          => __('Woocommerce Section', 'oneline'),
        ));
    //header
$wp_customize->add_section('woo_setting', array(
            'title'    => __('Woocommerce Setting', 'oneline'),
            'priority' => 1,
            'panel'    =>'woo_panel'
            ));
$wp_customize->add_setting('woo_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
$wp_customize->add_control('woo_heading', array(
            'label'    => __('Main Heading', 'oneline'),
            'section'  => 'woo_setting',
            'settings' => 'woo_heading',
             'type'       => 'text',
            )); 
$wp_customize->add_setting('woo_subheading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
$wp_customize->add_control('woo_subheading', array(
            'label'    => __('Sub Heading', 'oneline'),
            'section'  => 'woo_setting',
            'settings' => 'woo_subheading',
             'type'       => 'textarea',
            ));
$wp_customize->add_setting('woo_shortcode', array(
            'default'        => '[recent_products]',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
$wp_customize->add_control('woo_shortcode', array(
            'label'    => __('Woocommerce Shortcode', 'oneline'),
            'section'  => 'woo_setting',
            'settings' => 'woo_shortcode',
             'type'       => 'textarea',
            ));

//svg 
        $wp_customize->add_section('woo_background', array(
            'title'    => __('Background', 'oneline'),
            'priority' => 2,
            'panel'    =>'woo_panel'
            ));
        $wp_customize->add_setting('woo_svg_background', array(
            'default'        => 'svg',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
            ));
        $wp_customize->add_control( 'woo_svg_background', array(
            'settings' => 'woo_svg_background',
            'label'   => __('Background Option','oneline'),
            'section' => 'woo_background',
            'type'    => 'radio',
            'choices'    => array(
            'svg'      => 'Color with SVG',
            'color'    => 'Color without SVG',
            'image'    => 'Image without SVG',  
            ),
         ));
        if( class_exists('Oneline_Customize_Control_Radio_Image' )){
        $wp_customize->add_setting(
            'woo_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'woo_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'woo_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    } 
 //image
        $wp_customize->add_setting('woo_bg_image', array(
            'default'        => '',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control(
            $wp_customize, 'woo_bg_image', array(
            'label'    => __('Upload Background Image', 'oneline'),
            'section'  => 'woo_background',
            'settings' => 'woo_bg_image',
        )));

// overlay-color
 $wp_customize->add_setting('woo_background_color',
        array(
            'default'     => '#f7f7f7',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'woo_background_color',
            array(
                'label'      => __('Background Color','oneline'),
                'description' =>__('(Set background color for section or set color with transparency for Image overlay)'),
                'section'    => 'woo_background',
                'settings'   => 'woo_background_color',
                'palette'    => $palette
            )
        )
    );
// Disable parallax effect
            $wp_customize->add_setting( 'woo_parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'woo_parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => 'woo_background',
                    'description' => esc_html__('Check here to disable Parallax effect in Woocommerce Section', 'oneline')
                )
            ); 
if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
        $wp_customize->add_setting(
            'woo_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 120,
                
            )
        );
$wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'woo_top_padding', array(
                    'label' => esc_html__( 'Section Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'woo_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );
     }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'woo_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 180,   
            )
        );
       $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'woo_bottom_padding', array(
                    'label' => esc_html__( 'Section Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'woo_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   

   }
  //color
        $wp_customize->add_section('woo_color', array(
            'title'    => __('Color', 'oneline'),
            'priority' => 4,
            'panel'    =>'woo_panel'
        ));
        $wp_customize->add_setting('woo_heading_color', array(
            'default'        => '#000',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'woo_heading_color', array(
            'label'      => __('Heading Color', 'oneline' ),
            'section'    => 'woo_color',
            'settings'   => 'woo_heading_color',
        ) ) );
        $wp_customize->add_setting('woo_subheading_color', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'woo_subheading_color', array(
            'label'      => __('Sub Heading Color', 'oneline' ),
            'section'    => 'woo_color',
            'settings'   => 'woo_subheading_color',
        ) ) );
       $wp_customize->add_setting('woo_prdtitle_color', array(
            'default'        => '#D4B068;',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'woo_prdtitle_color', array(
            'label'      => __('Product Title Color', 'oneline' ),
            'section'    => 'woo_color',
            'settings'   => 'woo_prdtitle_color',
        ) ) );
       $wp_customize->add_setting('woo_saletag_color', array(
            'default'        => '#D4B068;',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'woo_saletag_color', array(
            'label'      => __('Sale Tag Color', 'oneline' ),
            'section'    => 'woo_color',
            'settings'   => 'woo_saletag_color',
        ) ) );
    $wp_customize->add_setting('woo_prdbtn_color', array(
            'default'        => '#7D7D7D;',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'woo_prdbtn_color', array(
            'label'      => __('Button Color', 'oneline' ),
            'section'    => 'woo_color',
            'settings'   => 'woo_prdbtn_color',
        ) ) );


/**End woocommerec section**/
/** Latest Post Section ***/
    $wp_customize->add_panel( 'blog_panel', array(
        'priority'       => 11,
        'title'          => __('Latest Post Section', 'oneline'),
        ));
    //header
        $wp_customize->add_section('blog_setting', array(
            'title'    => __('Post Setting', 'oneline'),
            'priority' => 1,
            'panel'    =>'blog_panel'
            ));
        $wp_customize->add_setting('blog_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
       $wp_customize->add_control('blog_heading', array(
            'label'    => __('Main Heading', 'oneline'),
            'section'  => 'blog_setting',
            'settings' => 'blog_heading',
             'type'       => 'text',
            )); 
        $wp_customize->add_setting('blog_subheading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
        $wp_customize->add_control('blog_subheading', array(
            'label'    => __('Sub Heading', 'oneline'),
            'section'  => 'blog_setting',
            'settings' => 'blog_subheading',
             'type'       => 'textarea',
            ));
//= Choose All Category  =
    $cats = array();
   $cats[0] = 'All Categories';
    foreach ( get_categories() as $categories => $category ){
        $cats[$category->term_id] = $category->name;
    }
   
     $wp_customize->add_setting('slider_cate', array(
        'default'        => 1,
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_attr',
    ));
    $wp_customize->add_control('slider_cate', array(
        'settings' => 'slider_cate',
        'label'   => __('Latest Post Category','oneline'),
        'section' => 'blog_setting',
        'type' => 'select',
        'choices' => $cats,
    ) );
    $wp_customize->add_setting('slider_count', array(
        'default'        => 4,
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_attr',
    ));
    $wp_customize->add_control('slider_count', array(
        'settings'  => 'slider_count',
        'label'     => __('Number of Post','oneline'),
        'section'   => 'blog_setting',
        'type'      => 'number',
       'input_attrs' => array('min' => 1,'max' => 10)

    ) );
$wp_customize->add_setting('read_more_txt', array(
        'default'        => 'Read More',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_attr',
    ));
$wp_customize->add_control('read_more_txt', array(
        'settings'  => 'read_more_txt',
        'label'     => __('Change Read More Text','oneline-lite'),
        'description'=> __('Enter a text below that you want to show instead of Read More','oneline'),
        'section'   => 'blog_setting',
        'type'      => 'text',
       
) );
    //svg 
        $wp_customize->add_section('blog_background', array(
            'title'    => __('Background', 'oneline'),
            'priority' => 2,
            'panel'    =>'blog_panel'
            ));
        $wp_customize->add_setting('blog_svg_background', array(
            'default'        => 'svg',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
            ));
        $wp_customize->add_control( 'blog_svg_background', array(
            'settings' => 'blog_svg_background',
            'label'   => __('Background Options','oneline'),
            'section' => 'blog_background',
            'type'    => 'radio',
            'choices'    => array(
                'svg'      => 'Color with SVG',
                'color'    => 'Color without SVG',
                'image'    => 'Image without SVG',  
            ),
            ));
        if( class_exists('Oneline_Customize_Control_Radio_Image' )){
        $wp_customize->add_setting(
            'blog_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'blog_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'blog_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    } 
    //image
        $wp_customize->add_setting('blog_bg_image', array(
            'default'        => '',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control(
            $wp_customize, 'blog_bg_image', array(
            'label'    => __('Upload Background Image', 'oneline'),
            'section'  => 'blog_background',
            'settings' => 'blog_bg_image',
        )));

// overlay-color
 $wp_customize->add_setting('blog_background_color',
        array(
            'default'     => '#f7f7f7',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'blog_background_color',
            array(
                'label'      => __('Background Color','oneline'),
                'description' =>__('(Set background color for section or set color with transparency for Image overlay)'),
                'section'    => 'blog_background',
                'settings'   => 'blog_background_color',
                'palette'    => $palette
            )
        )
    );
// Disable parallax effect
            $wp_customize->add_setting( 'post_parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'post_parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => 'blog_background',
                    'description' => esc_html__('Check here to disable Parallax effect in Post Section', 'oneline')
                )
            );   
if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
        $wp_customize->add_setting(
            'blog_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 120,
                
            )
        );
$wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'blog_top_padding', array(
                    'label' => esc_html__( 'Section Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'blog_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );
     }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'blog_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 180,   
            )
        );
       $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'blog_bottom_padding', array(
                    'label' => esc_html__( 'Section Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'blog_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   

   }     
//color
        $wp_customize->add_section('blog_color', array(
            'title'    => __('Color', 'oneline'),
            'priority' => 4,
            'panel'    =>'blog_panel'
        ));
        $wp_customize->add_setting('blog_heading_color', array(
            'default'        => '#000',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'blog_heading_color', array(
            'label'      => __('Heading Color', 'oneline' ),
            'section'    => 'blog_color',
            'settings'   => 'blog_heading_color',
        ) ) );
        $wp_customize->add_setting('blog_subheading_color', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'blog_subheading_color', array(
            'label'      => __('Sub Heading Color', 'oneline' ),
            'section'    => 'blog_color',
            'settings'   => 'blog_subheading_color',
        ) ) );

        $wp_customize->add_setting('blog_datebg_color', array(
            'default'        => '#000',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'blog_datebg_color', array(
            'label'      => __('Date Background Color', 'oneline' ),
            'section'    => 'blog_color',
            'settings'   => 'blog_datebg_color',
        ) ) );

        $wp_customize->add_setting('blog_datetxt_color', array(
            'default'        => '#D4B068',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'blog_datetxt_color', array(
            'label'      => __('Date Text Color', 'oneline' ),
            'section'    => 'blog_color',
            'settings'   => 'blog_datetxt_color',
        ) ) );

        $wp_customize->add_setting('blog_text_heading_color', array(
            'default'        => '#111',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'blog_text_heading_color', array(
            'label'      => __('Post Title Color', 'oneline' ),
            'section'    => 'blog_color',
            'settings'   => 'blog_text_heading_color',
        ) ) );

        $wp_customize->add_setting('blog_text_desc_color', array(
            'default'        => '#666',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'blog_text_desc_color', array(
            'label'      => __('Post Description Color', 'oneline' ),
            'section'    => 'blog_color',
            'settings'   => 'blog_text_desc_color',
        ) ) );

        $wp_customize->add_setting('blog_button_color', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'blog_button_color', array(
            'label'      => __('Button Color', 'oneline' ),
            'section'    => 'blog_color',
            'settings'   => 'blog_button_color',
        ) ) );

         $wp_customize->add_setting('blog_button_hover_color', array(
            'default'        => '#D4B068',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'blog_button_hover_color', array(
            'label'      => __('Button Hover Color', 'oneline' ),
            'section'    => 'blog_color',
            'settings'   => 'blog_button_hover_color',
        ) ) );
/******************************/
/** Pricing Section ***/
/*****************************/
    $wp_customize->add_panel( 'pricing_panel', array(
        'priority'       => 12,
        'title'          => __('Pricing Section', 'oneline'),
        ));
    //header
        $wp_customize->add_section('pricing_setting', array(
            'title'    => __('Main heading & Sub Heading', 'oneline'),
            'priority' => 1,
            'panel'    =>'pricing_panel'
            ));
        $wp_customize->add_setting('pricing_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
       $wp_customize->add_control('pricing_heading', array(
            'label'    => __('Main Heading', 'oneline'),
            'section'  => 'pricing_setting',
            'settings' => 'pricing_heading',
             'type'       => 'text',
            )); 
        $wp_customize->add_setting('pricing_subheading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
        $wp_customize->add_control('pricing_subheading', array(
            'label'    => __('Sub Heading', 'oneline'),
            'section'  => 'pricing_setting',
            'settings' => 'pricing_subheading',
             'type'       => 'textarea',
            ));
    //svg 
        $wp_customize->add_section('pricing_background', array(
            'title'    => __('Background', 'oneline'),
            'priority' => 2,
            'panel'    =>'pricing_panel'
            ));
        $wp_customize->add_setting('pricing_svg_background', array(
            'default'        => 'svg',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
            ));
        $wp_customize->add_control( 'pricing_svg_background', array(
            'settings' => 'pricing_svg_background',
            'label'   => __('Background Option','oneline'),
            'section' => 'pricing_background',
            'type'    => 'radio',
            'choices'    => array(
                'svg'      => 'Color with SVG',
                'color'    => 'Color without SVG',
                'image'    => 'Image without SVG',  
            ),
            ));
        if( class_exists('Oneline_Customize_Control_Radio_Image' )){
        $wp_customize->add_setting(
            'pricing_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'pricing_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'pricing_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    } 
    //image
        
        $wp_customize->add_setting('pricing_bg_image', array(
            'default'        => '',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control( new WP_Customize_Image_Control(
            $wp_customize, 'pricing_bg_image', array(
            'label'    => __('Upload Background Image', 'oneline'),
            'section'  => 'pricing_background',
            'settings' => 'pricing_bg_image',
        )));
// overlay-color
        $wp_customize->add_setting('pricing_background_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'pricing_background_color',
            array(
                'label'      => __('Background Color','oneline'),
                'description' =>__('(Set background color for section or set color with transparency for Image overlay)'),
                'section'    => 'pricing_background',
                'settings'   => 'pricing_background_color',
                'palette'    => $palette
            )
        )
    );
// Disable parallax effect
            $wp_customize->add_setting( 'price_parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'price_parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => 'pricing_background',
                    'description' => esc_html__('Check here to disable Parallax effect in Price Section', 'oneline')
                )
            ); 
if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
        $wp_customize->add_setting(
            'price_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 120,
                
            )
        );
$wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'price_top_padding', array(
                    'label' => esc_html__( 'Section Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'pricing_background',
                    'type'    => 'range-value',
                    'input_attr' => array(
                        'min'  => 0,
                        'max'  => 400,
                        'step' => 1,
                    )
                )
            )
        );
     }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'price_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 180,   
            )
        );
       $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'price_bottom_padding', array(
                    'label' => esc_html__( 'Section Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'pricing_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   
   }     
//color
        $wp_customize->add_section('pricing_color', array(
            'title'    => __('Color', 'oneline'),
            'priority' => 4,
            'panel'    =>'pricing_panel'
        ));
        $wp_customize->add_setting('pricing_heading_color', array(
            'default'        => '#000',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'pricing_heading_color', array(
            'label'      => __('Heading Color', 'oneline' ),
            'section'    => 'pricing_color',
            'settings'   => 'pricing_heading_color',
        ) ) );
        $wp_customize->add_setting('pricing_subheading_color', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'pricing_subheading_color', array(
            'label'      => __('Sub Heading Color', 'oneline' ),
            'section'    => 'pricing_color',
            'settings'   => 'pricing_subheading_color',
            )));
/****************************/
/** Contact Us Section ***/
/****************************/
    $wp_customize->add_panel( 'contactus_panel', array(
        'priority'       => 13,
        'title'          => __('Contact Us Section', 'oneline'),
        ));
    //header
        $wp_customize->add_section('contactus_setting', array(
            'title'    => __('Contact Us Setting', 'oneline'),
            'priority' => 1,
            'panel'    =>'contactus_panel'
            ));
        $wp_customize->add_setting('contactus_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
       $wp_customize->add_control('contactus_heading', array(
            'label'    => __('Main Heading', 'oneline'),
            'section'  => 'contactus_setting',
            'settings' => 'contactus_heading',
             'type'       => 'text',
            )); 
        $wp_customize->add_setting('contactus_subheading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
        $wp_customize->add_control('contactus_subheading', array(
            'label'    => __('Sub Heading', 'oneline'),
            'section'  => 'contactus_setting',
            'settings' => 'contactus_subheading',
             'type'       => 'textarea',
            ));
         $wp_customize->add_setting('contactus_shortcode', array(
            'default'           => '[lead-form form-id=1 title=Contact Us]',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
        $wp_customize->add_control('contactus_shortcode', array(
            'label'    => __('Contact Us Shortcode', 'oneline'),
            'description' =>__('Lead Form Builder Plugin Shortcode Insert.','oneline'),
            'section'  => 'contactus_setting',
            'settings' => 'contactus_shortcode',
             'type'       => 'textarea',
            ));
        
        $wp_customize->add_setting('contactus_address_heading', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
       $wp_customize->add_control('contactus_address_heading', array(
            'label'    => __('Address Heading', 'oneline'),
            'section'  => 'contactus_setting',
            'settings' => 'contactus_address_heading',
             'type'       => 'text',
            ));
        $wp_customize->add_setting('contactus_address', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea'
            ));
        $wp_customize->add_control('contactus_address', array(
            'label'    => __('Full Address', 'oneline'),
            'section'  => 'contactus_setting',
            'settings' => 'contactus_address',
             'type'       => 'textarea',
            ));     
    //svg 
        $wp_customize->add_section('contactus_background', array(
            'title'    => __('Background', 'oneline'),
            'priority' => 2,
            'panel'    =>'contactus_panel'
            ));
        $wp_customize->add_setting('contactus_svg_background', array(
            'default'        => 'svg',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
            ));
        $wp_customize->add_control( 'contactus_svg_background', array(
            'settings' => 'contactus_svg_background',
            'label'   => __('Background Options','oneline'),
            'section' => 'contactus_background',
            'type'    => 'radio',
            'choices'    => array(
                'svg'      => 'Color with SVG',
                'color'    => 'Color without SVG',
                'image'    => 'Image without SVG',  
            ),
            ));
        if( class_exists('Oneline_Customize_Control_Radio_Image' )){
        $wp_customize->add_setting(
            'contactus_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'contactus_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'contactus_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    }     
    $wp_customize->add_setting('contactus_bg_image', array(
            'default'        => '',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
     ));
     $wp_customize->add_control( new WP_Customize_Image_Control(
            $wp_customize, 'contactus_bg_image', array(
            'label'    => __('Upload Background Image', 'oneline'),
            'section'  => 'contactus_background',
            'settings' => 'contactus_bg_image',
    )));
// overlay-color
        $wp_customize->add_setting('contactus_background_color',
        array(
            'default'     => '#1F1F1F',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'contactus_background_color',
            array(
                'label'      => __('Background Color','oneline'),
                'description' =>__('(Set background color for section or set color with transparency for Image overlay)'),
                'section'    => 'contactus_background',
                'settings'   => 'contactus_background_color',
                'palette'    => $palette
            )
        )
    );
// Disable parallax effect
            $wp_customize->add_setting( 'cnt_parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'cnt_parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => 'contactus_background',
                    'description' => esc_html__('Check here to disable Parallax effect in Contact Us Section', 'oneline')
                )
            );
if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
        $wp_customize->add_setting(
            'contactus_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 120,
                
            )
        );
$wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'contactus_top_padding', array(
                    'label' => esc_html__( 'Section Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'contactus_background',
                    'type'    => 'range-value',
                    'input_attr' => array(
                        'min'  => 0,
                        'max'  => 400,
                        'step' => 1,
                    )
                )
            )
        );
     }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'contactus_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 180,   
            )
        );
       $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'contactus_bottom_padding', array(
                    'label' => esc_html__( 'Section Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'contactus_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   
   }
//color
        $wp_customize->add_section('contactus_color', array(
            'title'    => __('Color', 'oneline'),
            'priority' => 4,
            'panel'    =>'contactus_panel'
        ));
        
        $wp_customize->add_setting('contactus_heading_color', array(
            'default'        => '#fff',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'contactus_heading_color', array(
            'label'      => __('Heading Color', 'oneline' ),
            'section'    => 'contactus_color',
            'settings'   => 'contactus_heading_color',
        ) ) );
        $wp_customize->add_setting('contactus_subheading_color', array(
            'default'        => '#808080',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'contactus_subheading_color', array(
            'label'      => __('Sub Heading Color', 'oneline' ),
            'section'    => 'contactus_color',
            'settings'   => 'contactus_subheading_color',
            )));
        $wp_customize->add_setting('contactus_address_heading_color', array(
            'default'        => '#D4B068',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'contactus_address_heading_color', array(
            'label'      => __('Address Title Color', 'oneline' ),
            'section'    => 'contactus_color',
            'settings'   => 'contactus_address_heading_color',
            )));
        $wp_customize->add_setting('contactus_address_color', array(
            'default'        => '#7D7D7D',
            'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
            new WP_Customize_Color_Control($wp_customize,'contactus_address_color', array(
            'label'      => __('Address Color', 'oneline' ),
            'section'    => 'contactus_color',
            'settings'   => 'contactus_address_color',
            )));

        $wp_customize->add_setting('contactus_button_bg_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'contactus_button_bg_color', array(
        'label'      => __('Button Color', 'oneline' ),
        'section'    => 'contactus_color',
        'settings'   => 'contactus_button_bg_color',
        ) ) );

        $wp_customize->add_setting('contactus_button_hover_color', array(
        'default'        => '#fff',
        'sanitize_callback' => 'sanitize_hex_color'
        ));
        $wp_customize->add_control( 
        new WP_Customize_Color_Control($wp_customize,'contactus_button_hover_color', array(
        'label'      => __('Button Hover Color', 'oneline' ),
        'section'    => 'contactus_color',
        'settings'   => 'contactus_button_hover_color',
        ) ) );
/** Map Section ***/
    $wp_customize->add_panel( 'map_panel', array(
        'priority'       => 14,
        'title'          => __('Map Section', 'oneline'),
        ));
        //header
        $wp_customize->add_section('map_setting', array(
            'title'    => __('Settings', 'oneline'),
            'priority' => 1,
            'panel'    =>'map_panel'
            ));
        $wp_customize->add_setting('map_address', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'oneline_sanitize_textarea_html'
            ));
        $wp_customize->add_control('map_address', array(
            'label'    => __('Map Address', 'oneline'),
            'description' => __('insert goole map iframe <a target="_blank" href="https://www.google.co.in/maps">Map</a>','oneline'),
            'section'  => 'map_setting',
            'settings' => 'map_address',
             'type'       => 'textarea',
            ));
/** Our brand Section ***/
    $wp_customize->add_panel( 'brand_panel', array(
        'priority'       => 14,
        'title'          => __('Brand Section', 'oneline'),
    ) );
    
    //svg 
    $wp_customize->add_section('brand_background', array(
        'title'    => __('Background', 'oneline'),
        'priority' => 2,
        'panel'    =>'brand_panel'
    ));
    $wp_customize->add_setting('brand_svg_background', array(
        'default'        => 'svg',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control( 'brand_svg_background', array(
        'settings' => 'brand_svg_background',
        'label'   => __('Background Options','oneline'),
        'section' => 'brand_background',
        'type'    => 'radio',
        'choices'    => array(
            'svg'      => 'Color with SVG',
            'color'    => 'Color without SVG',
            'image'    => 'Image without SVG',  
        ),
    ));
    if( class_exists('Oneline_Customize_Control_Radio_Image' )){
        $wp_customize->add_setting(
            'brand_svg_style', array(
                'default'           => 'svg-one',
                'sanitize_callback' => 'sanitize_text_field',
            )
        );
        $wp_customize->add_control(
            new Oneline_Customize_Control_Radio_Image(
                $wp_customize, 'brand_svg_style', array(
                    'label'    => esc_html__( 'Choose SVG Style', 'shopline' ),
                    'section'  => 'brand_background',
                    'choices'  => array(
                        'svg-one'   => array(
                            'url' => ONELINE_SVG_IMG1,
                        ),
                        'svg-two' => array(
                            'url' => ONELINE_SVG_IMG2,
                        ),
                        'svg-three' => array(
                            'url' => ONELINE_SVG_IMG3,
                        ),
                        'svg-four' => array(
                            'url' => ONELINE_SVG_IMG4,
                        ),
                        'svg-five' => array(
                            'url' => ONELINE_SVG_IMG5,
                        ),
                        'svg-six' => array(
                            'url' => ONELINE_SVG_IMG6,
                        ),
                        
                    ),
                )
            )
        );
    }     
    //image
    $wp_customize->add_setting('brand_bg_image', array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control(
        $wp_customize, 'brand_bg_image', array(
        'label'    => __('Upload Background Image', 'oneline'),
        'section'  => 'brand_background',
        'settings' => 'brand_bg_image',
    )));
// overlay-color
        $wp_customize->add_setting('brand_background_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'brand_background_color',
            array(
                'label'      => __('Background Color','oneline'),
                'description' =>__('(Set background color for section or set color with transparency for Image overlay)'),
                'section'    => 'brand_background',
                'settings'   => 'brand_background_color',
                'palette'    => $palette
            )
        )
    );
// Disable parallax effect
            $wp_customize->add_setting( 'brnd_parallax_opt',
                array(
                    'sanitize_callback' => 'oneline_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'brnd_parallax_opt',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Parallax effect ?', 'oneline'),
                    'section'     => 'brand_background',
                    'description' => esc_html__('Check here to disable Parallax effect in Brand Section', 'oneline')
                )
            );
if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
        $wp_customize->add_setting(
            'brand_top_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 120,
                
            )
        );
$wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'brand_top_padding', array(
                    'label' => esc_html__( 'Section Top Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'brand_background',
                    'type'    => 'range-value',
                    'input_attr' => array(
                        'min'  => 0,
                        'max'  => 400,
                        'step' => 1,
                    )
                )
            )
        );
     }
     if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
      $wp_customize->add_setting(
            'brand_bottom_padding', array(
                'sanitize_callback' => 'oneline_sanitize_range_value',
                'default' => 180,   
            )
        );
      $wp_customize->add_control(
            new Oneline_Customizer_Range_Value_Control(
                $wp_customize, 'brand_bottom_padding', array(
                    'label' => esc_html__( 'Section Bottom Padding', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
                    'section' => 'brand_background',
                    'type' => 'range-value',
                    'input_attr' => array(
                        'min' => 0,
                        'max' => 400,
                        'step' => 1,
                    )
                )
            )
        );   
   }
//number of slides     
   $wp_customize->add_section( 'brnd_set', array(
         'title'          => __( 'Brand Setting', 'oneline' ),
         'priority'       => 1,
         'panel'          => 'brand_panel',
    ) );
   $wp_customize->add_setting('slider_numb', array(
        'default'           => __('6','oneline'),
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        
    ));
    $wp_customize->add_control('slider_numb', array(
        'label'    => __('Number of Brand to Show', 'oneline'),
        'section'  => 'brnd_set',
        'settings' => 'slider_numb',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('slider_speed', array(
        'default'           => __('3000','oneline'),
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        
    ));
    $wp_customize->add_control('slider_speed', array(
        'label'    => __('Brand Slider Speed', 'oneline'),
        'section'  => 'brnd_set',
        'settings' => 'slider_speed',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('brand_autoply', array(
            'default'        => 'off',
            'capability'     => 'edit_theme_options',
            'sanitize_callback' => 'sanitize_text_field'
            ));
    $wp_customize->add_control( 'brand_autoply', array(
            'settings' => 'brand_autoply',
            'label'   => __('AutoPlay','oneline'),
            'section' => 'brnd_set',
            'type'    => 'radio',
            'choices'    => array(
                'on'      => 'ON',
                'off'    => 'OFF',
            ),
     ));
// end brand section
//  =============================
//  = custom section Settings             =
//  =============================
$wp_customize->add_panel( 'custom_panel', array(
    'priority'       => 15,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Custom Section', 'oneline'),
    'description'    => '',
    
) );
/** Custom Colors ***/
   //  $wp_customize->get_section('colors')->title = esc_html__('Style Settings', 'oneline');
   //  $wp_customize->get_section('colors')->priority = 15;
   // $wp_customize->add_setting('custom_css_text', array(
   //      'default'        => '',
   //      'capability'     => 'edit_theme_options',
   //      'sanitize_callback' => 'oneline_sanitize_textarea'
   //  ));
   //  $wp_customize->add_control('custom_css_text', array(
   //      'settings' => 'custom_css_text',
   //      'label'     => 'Custom Css',
   //      'section' => 'colors',
   //      'type'    => 'textarea',
   //  ) );          
// custom  
$wp_customize->add_section( 'header_image', array(
   'title'          => __( 'Pages Header Image', 'oneline' ),
   'theme_supports' => 'custom-header',
   'priority'       => 59,
   'panel' =>'theme_optn',
   ) );        
$wp_customize->get_section('colors')->title = esc_html__('Body Background Color', 'oneline');
$wp_customize->get_section('colors')->priority = 60;
$wp_customize->get_section('colors')->panel = 'theme_optn';
// custom background
$wp_customize->add_section( 'background_image', array(
  'title'          => __( 'Body Background Image', 'oneline' ),
  'theme_supports' => 'custom-background',
  'priority'       => 80,
  'panel' =>'theme_optn',
) );     
// selective-refresh option added
$wp_customize->selective_refresh->add_partial( 'blogname', array(
        'selector' => '#logo .site-title a',
) );
$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
        'selector' => '#logo p',
) );
// slider
$wp_customize->selective_refresh->add_partial( 'first_slider_heading', array(
        'selector' => '#slider-div h2.title a',
) );
$wp_customize->selective_refresh->add_partial( 'first_button_text', array(
        'selector' => '#slider-div .slider-button a',
) );

// services
$wp_customize->selective_refresh->add_partial( 'our_services_heading', array(
        'selector' => '#services h2.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'our_services_subheading', array(
        'selector' => '#services p.sub-heading',
) );
// ribbon
$wp_customize->selective_refresh->add_partial( 'ribbon_heading', array(
        'selector' => '#ribbon h3.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'ribbon_button_text', array(
        'selector' => '#ribbon .ribbon-button a',
) );
// portfolio
$wp_customize->selective_refresh->add_partial( 'portfolio_heading', array(
        'selector' => '#portfolio h2.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'portfolio_subheading', array(
        'selector' => '#portfolio p.sub-heading',
) );
// aboutus
$wp_customize->selective_refresh->add_partial( 'aboutus_heading', array(
        'selector' => '#about-us h2.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'aboutus_subheading', array(
        'selector' => '#about-us p.sub-heading',
) );
$wp_customize->selective_refresh->add_partial( 'aboutus_description', array(
        'selector' => '#about-us .about-us-paragraph p',
) );
$wp_customize->selective_refresh->add_partial( 'aboutus_facebbok_link', array(
        'selector' => '#about-us .social-meta li.social-social-fb',
) );

// team
$wp_customize->selective_refresh->add_partial( 'team_heading', array(
        'selector' => '#team h2.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'team_subheading', array(
        'selector' => '#team p.sub-heading',
) );
// post
$wp_customize->selective_refresh->add_partial( 'blog_heading', array(
        'selector' => '#latest-post h2.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'blog_subheading', array(
        'selector' => '#latest-post p.sub-heading',
) );
// woocommerce
$wp_customize->selective_refresh->add_partial( 'woo_heading', array(
        'selector' => '#woo-section h2.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'woo_subheading', array(
        'selector' => '#woo-section p.sub-heading',
) );
// Price
$wp_customize->selective_refresh->add_partial( 'pricing_heading', array(
        'selector' => '#price-package h2.main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'pricing_subheading', array(
        'selector' => '#price-package p.sub-heading',
) );
// contact
$wp_customize->selective_refresh->add_partial( 'contactus_heading', array(
    'selector' => '#contact h2.cnt-main-heading',
) );
$wp_customize->selective_refresh->add_partial( 'contactus_subheading', array(
        'selector' => '#contact p.cnt-sub-heading',
) );
$wp_customize->selective_refresh->add_partial( 'contactus_address_heading', array(
        'selector' => '#contact .add-heading h3',
) );
$wp_customize->selective_refresh->add_partial( 'contactus_address', array(
        'selector' => '#contact .addrs p',
) );
$wp_customize->selective_refresh->add_partial( 'contactus_shortcode', array(
        'selector' => '#contact .cnt-div',
) );
// copyright
$wp_customize->selective_refresh->add_partial( 'copyright_text', array(
        'selector' => '.foot-copyright span.text-footer',
) );
$wp_customize->selective_refresh->add_partial( 'social_link_facebook', array(
        'selector' => '.social-ft i.fa-facebook',
) );

}
add_action('customize_register','oneline_customize_register');
?>