<?php
/*
 *  About me widget
 *  user about us 
 *
 */

// register widget
add_action('widgets_init', 'oneline_about_me_widget');
function oneline_about_me_widget() {
    register_widget( 'OnelineAboutMe' );
}

// add admin scripts
add_action('admin_enqueue_scripts', 'oneline_aboutme_enqueue');
function oneline_aboutme_enqueue() {
    wp_enqueue_media();
    wp_enqueue_script('oneline_aboutme_script', get_template_directory_uri() . '/customizer/widget.js', false, '1.0', true);
}

// about me widget class
class OnelineAboutMe extends WP_Widget {

    function __construct() {
        $widget_ops = array(
            'classname' => 'oneline-about-me',
            'description' => 'Oneline Recent Post'
        );
        parent::__construct('oneline-about-me-widget', 'Oneline About Me', $widget_ops);
    }

    function widget($args, $instance) {
        extract($args);

        // widget content
        echo $before_widget;
    $title = apply_filters('widget_title', empty($instance['title']) ? 'About Me' : $instance['title'], $instance, $this->id_base);
    $author_img_uri = isset($instance['author_img_uri'])?$instance['author_img_uri']:'';
    $text = isset($instance['text'])?$instance['text']:'';


?>
<div class="th-aboutme">
    <h4 class="widgettitle"><span><?php echo $title; ?></span></h4 class="widgettitle">
    <?php if($author_img_uri!=''){ ?>
            <div class="th_about_img"><img src="<?php echo esc_url($instance['author_img_uri']); ?>" /></div>   
    <?php } ?> 
        <p><?php echo $text; ?></p>
    </div>

<?php
        echo $after_widget;

    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['text'] = $new_instance['text'];
        $instance['title'] = strip_tags( $new_instance['title'] );
        $instance['author_img_uri'] = strip_tags( $new_instance['author_img_uri'] );
        return $instance;
    }

    function form($instance) {
    ?>
<div class="clearfix"></div>
        <label for="<?php echo $this->get_field_id('title'); ?>">Title</label><br />
        <input type="text" class="widefat" name="<?php echo $this->get_field_name('title'); ?>" id="<?php echo $this->get_field_id('title'); ?>" value="<?php  if(isset($instance["title"])){ echo $instance['title']; } ?>" style="margin-top:5px;">
        <label for="<?php echo $this->get_field_id('text'); ?>">About Me Description</label><br />
        <textarea  name="<?php echo $this->get_field_name('text'); ?>" id="<?php echo $this->get_field_id('text'); ?>"  class="widefat" >
		<?php if(isset($instance["text"])){ echo $instance['text']; } ?></textarea>
        <label for="<?php echo $this->get_field_id('author_img_uri'); ?>">Upload Author Images</label><br />
        <?php
            if ( isset($instance['author_img_uri']) && $instance['author_img_uri'] != '' ) :
                echo '<img class="custom_media_image" src="' . $instance['author_img_uri'] . '" style="margin:0;padding:0;max-width:100px;float:left;display:inline-block" /><br />';
            endif;
        ?>
        <input type="text" class="widefat custom_media_url" name="<?php echo $this->get_field_name('author_img_uri'); ?>" id="<?php echo $this->get_field_id('author_img_uri'); ?>" value="<?php if(isset($instance["author_img_uri"])){ echo $instance['author_img_uri']; } ?>" style="margin-top:5px;">
        <input type="button" class="button button-primary custom_media_button" id="custom_media_button" name="<?php echo $this->get_field_name('author_img_uri'); ?>" value="Upload Image" style="margin-top:5px;" />
<?php
    }
}