<?php
/*
 *  Custom Widget
 *
 */
// register widget
add_action('widgets_init', 'oneline_custom_widget');
function oneline_custom_widget() {
    register_widget( 'oneline_custom' );
}
// oneline_custom widget class
class oneline_custom extends WP_Widget {
    
    function __construct() {
        $widget_ops = array('classname' => 'oneline-custom');
        parent::__construct('oneline-custom-widget', __('Oneline : Custom Widget','oneline'), $widget_ops);
    }
    function widget($args, $instance) {
        extract($args);
   // widget content
echo $before_widget;
$id = isset($instance['id'])?$instance['id']:'';
$heading = isset($instance['heading'])?$instance['heading']:'';
$subheading = isset($instance['subheading'])?$instance['subheading']:'';
$textar = isset($instance['textar'])?$instance['textar']:''; 
$headingclr = isset($instance['headingclr'])?$instance['headingclr']:'#000'; 
$subheadingclr = isset($instance['subheadingclr'])?$instance['subheadingclr']:'#7D7D7D';   
$background = isset($instance['background'])?$instance['background']:'color'; 
$parallax = isset($instance['parallax'])?$instance['parallax']:'on';  
$bgcolor = isset($instance['bgcolor'])?$instance['bgcolor']:'#fff';
$backimg = isset($instance['backimg'])?$instance['backimg']:'';
$backvid = isset($instance['backvid'])?$instance['backvid']:'';
$overlay = isset($instance['overlay'])?$instance['overlay']:'0.5';
?>
<!-- start-custom-section -->
<div class="clearfix"></div> 
<div class="custom-wrapper">
<?php if($background=='color'){?>
<div class="svg-top-container">
      <svg xmlns="http://www.w3.org/2000/svg" width="0" version="1.1" viewBox="0 0 100 100" preserveAspectRatio="none">
      <path style="fill:<?php echo $bgcolor; ?>" d="M0 100 L100 100 L100 2 L0 100 Z" stroke-width="0"></path>
      </svg>
</div>
<?php } ?>
<?php if($parallax=='on') {
$prlx_class = 'parallax-pro';
$prlx_data_center = 'background-position: 50% 0px';
$prlx_top_bottom = 'background-position: 50% -100px;';
}else{
$prlx_class = ''; 
$prlx_data_center = '';
$prlx_top_bottom =''; 
}
?>

<?php if($background=='image') {?>
<?php
$image_url = '';
if($backimg!=''){
          $img_path = th_image_resize($backimg, 0, 0);
          $image_url = $img_path['url'];
} ?>
<section id="<?php echo $id; ?>" class="custom <?php echo $prlx_class;?>" data-center="<?php echo $prlx_data_center;?>" data-top-bottom="<?php echo $prlx_top_bottom;?>" style="background-image:url(<?php echo $image_url; ?>)" >
<div class="overlay-box" style="background: <?php echo $bgcolor; ?>;opacity: <?php echo $overlay; ?>;"></div>
<?php } ?>
<?php if($background=='color') {?>
<section id="<?php echo $id; ?>" class="custom" style="padding-bottom:180px;background:<?php echo $bgcolor; ?>" >
<?php } ?>
<?php if($background=='color-wo-svg') {?>
<section id="<?php echo $id; ?>" class="custom" style="background:<?php echo $bgcolor; ?>" >
<?php } ?>
<?php if($background=='video') {?>
<section id="<?php echo $id; ?>" class="custom" style="background: none;">
<div class="overlay-box" style="background: <?php echo $bgcolor; ?>;opacity: <?php echo $overlay; ?>;"></div>
<?php
$image_urlv = '';
if($backimg!=''){
          $img_pathv = th_image_resize($backimg, 0, 0);
          $image_urlv = $img_pathv['url'];
} ?>
<video id="video" poster="<?php echo $image_urlv; ?>" autoplay="autoplay" loop="loop" id="bgvid">
<?php
$video_url = '';
if($backvid!=''){
          $vd_path = th_image_resize($backvid, 0, 0);
          $video_url = $vd_path['url'];
 } 
if($background=='video'){?>
<source src="<?php echo $video_url; ?>"/> 
<?php } ?>
</video>
<?php } ?> 
    <div class="container">
      <div class="page-custom">
            <h2 style="color:<?php echo $headingclr; ?>" class="main-heading wow fadeInRight" data-wow-delay="0s"><?php echo $heading; ?></h2>
            <p style="color:<?php echo $subheadingclr; ?>" class="sub-heading wow fadeInRight" data-wow-delay="0s"><?php echo $subheading;?></p>
            <div class="custom-block">
            <?php echo do_shortcode($textar);?>
            </div>
      </div>
    </div>
</section>
</div>
<div class="clearfix"></div>
<!-- start-custom-section -->
<?php
        echo $after_widget;

    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['id'] = $new_instance['id'];
        $instance['heading'] = $new_instance['heading'];
        $instance['subheading'] = $new_instance['subheading'];
        $instance['textar'] = $new_instance['textar'];
        $instance['headingclr'] = $new_instance['headingclr'];
        $instance['subheadingclr'] = $new_instance['subheadingclr'];
        $instance['background'] = $new_instance['background'];
        $instance['parallax'] = $new_instance['parallax'];
        $instance['bgcolor'] = $new_instance['bgcolor'];
        $instance['backimg'] = $new_instance['backimg'];
        $instance['backvid'] = $new_instance['backvid'];
        $instance['overlay'] = $new_instance['overlay'];
        return $instance;
    }
    function form($instance) {
        if( $instance) {
        $id = $instance['id'];    
        $heading = $instance['heading'];
        $subheading = $instance['subheading'];
        $textar = $instance['textar'];
        $headingclr = $instance['headingclr'];
        $subheadingclr = $instance['subheadingclr'];
        $background = $instance['background'];
        $parallax = $instance['parallax'];
        $bgcolor = $instance['bgcolor'];
        $backimg = $instance['backimg'];
        $backvid = $instance['backvid'];
        $overlay = $instance['overlay'];

    } else {
        $id = '';
        $heading = '';
        $subheading = '';
        $textar = '';
        $headingclr = '#333';
        $subheadingclr = '#777';
        $background = 'color';
        $parallax = 'on';
        $bgcolor = '#fff';
        $backimg = '';
        $backvid = '';
        $overlay = '0.5';
    }
    ?>
    <div class="clearfix"></div>
    <p>
      <label for="<?php echo $this->get_field_id('id'); ?>"><?php _e('Section Id','oneline'); ?>
      </label>
      <input type="text" class="widefat" name="<?php echo $this->get_field_name('id'); ?>" id="<?php echo $this->get_field_id('id'); ?>" value="<?php  echo $id; ?>" style="margin-top:5px;">
    </p>
   <p>
      <label for="<?php echo $this->get_field_id('heading'); ?>"><?php _e('Heading','oneline'); ?>
      </label>
      <textarea  name="<?php echo $this->get_field_name('heading'); ?>" id="<?php echo $this->get_field_id('heading'); ?>"  class="widefat" ><?php echo $heading; ?></textarea>
    </p>
   <p>
     <label for="<?php echo $this->get_field_id('subheading'); ?>"><?php _e('Subheading','oneline'); ?></label>
     <textarea  name="<?php echo $this->get_field_name('subheading'); ?>" id="<?php echo $this->get_field_id('subheading'); ?>"  class="widefat" ><?php echo $subheading; ?></textarea>
    </p>

    <p>
     <label for="<?php echo $this->get_field_id('textar'); ?>"><?php _e('Textarea','oneline'); ?></label>
     <textarea  name="<?php echo $this->get_field_name('textar'); ?>" id="<?php echo $this->get_field_id('textar'); ?>"  class="widefat" ><?php echo $textar; ?></textarea>
    </p>
    
<p><label for="<?php echo $this->get_field_id('background'); ?>"><?php _e('Select Background','oneline'); ?></label>
       <input <?php 
if($background=='color'){?> checked <?php } 
  ?> style="margin-right:5px;margin-left:5px;" type="radio" id="role_info" class="widefat" name="<?php echo $this->get_field_name('background'); ?>"  value="color" <?php checked( $background, 'color' ); ?> >color with svg
 <br/>
       <input style="margin-right:5px;margin-left:5px;" type="radio" id="role_info" class="widefat" name="<?php echo $this->get_field_name('background'); ?>"  value="color-wo-svg" <?php checked( $background, 'color-wo-svg' ); ?> >color without svg
       <br/>
       <input style="margin-right:5px;margin-left:5px;" type="radio" id="role_info" class="widefat" name="<?php echo $this->get_field_name('background'); ?>"  value="image" <?php checked( $background, 'image' ); ?> >image
        <br/>
       <input style="margin-right:5px;margin-left:5px;" type="radio" id="role_info" class="widefat" name="<?php echo $this->get_field_name('background'); ?>"  value="video" <?php checked( $background, 'video' ); ?> >video
        <br/>
       </p>
<p><label for="<?php echo $this->get_field_id('backimg'); ?>"><?php _e('Background Image','online'); ?></label>
                <?php
            if ( isset($instance['backimg']) && $instance['backimg'] != '' ) :
                echo '<img class="'.$this->get_field_id('backimg').'" src="' . $instance['backimg'] . '" style="margin:0;padding:0;max-width:100px;float:left;display:inline-block" /><br />';
            endif;
 ?>
<input type="text" class="widefat custom_media_url" name="<?php echo $this->get_field_name('backimg'); ?>" id="<?php echo $this->get_field_id('backimg'); ?>" value="<?php  echo $backimg; ?>" style="margin-top:5px;">
        <input type="button" class="button button-primary custom_media_button" id="<?php echo $this->get_field_id('backimg'); ?>_button" name="<?php echo $this->get_field_name('backimg'); ?>" value="Upload Image" style="margin-top:5px;" /></p>
<p><label for="<?php echo $this->get_field_id('backvid'); ?>"><?php _e('Background Video','online'); ?></label>            
   <input type="text" class="widefat custom_media_url" name="<?php echo $this->get_field_name('backvid'); ?>" id="<?php echo $this->get_field_id('backvid'); ?>" value="<?php  echo $backvid; ?>" style="margin-top:5px;">
   <input type="button" class="button button-primary custom_media_button" id="<?php echo $this->get_field_id('backvid'); ?>_button" name="<?php echo $this->get_field_name('backvid'); ?>" value="Upload Video" style="margin-top:5px;" /></p>
<!-- color section -->
<p>
<label for="<?php echo $this->get_field_id( 'headingclr' ); ?>" style="display:block;"><?php _e( 'Heading Color','oneline' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'headingclr' ); ?>" name="<?php echo $this->get_field_name( 'headingclr' ); ?>" type="text" value="<?php echo esc_attr( $headingclr ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'subheadingclr' ); ?>" style="display:block;"><?php _e( 'Sub-Heading Color','oneline' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'subheadingclr' ); ?>" name="<?php echo $this->get_field_name( 'subheadingclr' ); ?>" type="text" value="<?php echo esc_attr( $subheadingclr ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'bgcolor' ); ?>" style="display:block;"><?php _e( 'Background Color & Overlay Color','oneline' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'bgcolor' ); ?>" name="<?php echo $this->get_field_name( 'bgcolor' ); ?>" type="text" value="<?php echo esc_attr( $bgcolor ); ?>" />
</p>
<p>
      <label for="<?php echo $this->get_field_id('overlay'); ?>"><?php _e('Overlay Opacity','oneline'); ?>
      </label>
      <input type="text" class="widefat" name="<?php echo $this->get_field_name('overlay'); ?>" id="<?php echo $this->get_field_id('overlay'); ?>" value="<?php  echo $overlay; ?>" style="margin-top:5px;">
</p>

<p><label for="<?php echo $this->get_field_id('parallax'); ?>"><?php _e('Parallax Option','oneline'); ?></label>
       <input <?php 
if($parallax=='on'){?> checked <?php } 
  ?> style="margin-right:5px;margin-left:5px;" type="radio" id="role_info" class="widefat" name="<?php echo $this->get_field_name('parallax'); ?>"  value="on" <?php checked( $parallax, 'on' ); ?> >on
 <br/>
       <input style="margin-right:5px;margin-left:5px;" type="radio" id="role_info" class="widefat" name="<?php echo $this->get_field_name('parallax'); ?>"  value="off" <?php checked( $parallax, 'off' ); ?> >off</p>
        <?php
    }
}
  ?>