<?php
/*
 *  price Feature Column widget
 *
 */

// register widget
add_action('widgets_init', 'oneline_price_widget');
function oneline_price_widget() {
    register_widget( 'oneline_price' );
}


// add admin scripts
add_action('admin_enqueue_scripts', 'oneline_price_enqueue');
function oneline_price_enqueue() {
    wp_enqueue_media();
    wp_enqueue_script('oneline_price_script', get_template_directory_uri() . '/customizer/js/widget.js', false, '1.0', true);
}


// th_testimonial widget class
class oneline_price extends WP_Widget {
    
    function __construct() {
        $widget_ops = array('classname' => 'oneline-price',
            'description' => 'Show your pricing table');
        parent::__construct('oneline-price-widget', __('Oneline : Price Widget','oneline'), $widget_ops);
    }

    function widget($args, $instance) {
        extract($args);

        // widget content
        echo $before_widget;
        $item             = '';
        $icon             = isset($instance['title'])?$instance['icon']:'fa fa-cart-plus';
        $title            = isset($instance['title'])?$instance['title']:'Standard Price';
        $price            = isset($instance['price'])?$instance['price']:'25.50';
        $currency         = isset($instance['currency'])?$instance['currency']:'$';
        $pricemeta        = isset($instance['pricemeta'])?$instance['pricemeta']:'/mo';
        $buttonlevel      = isset($instance['buttonlevel'])?$instance['buttonlevel']:'VIEW';
        $buttonlink       = isset($instance['buttonlink'])?$instance['buttonlink']:'http://';
        $textcolor        = isset($instance['textcolor'])?$instance['textcolor']:'#7D7D7D';
        $item     .= (isset($instance['item1']) && $instance['item1']!='')?"<li style='color:$textcolor'>".$instance['item1']."</li>":'';
        $item     .= (isset($instance['item2']) && $instance['item2']!='')?"<li style='color:$textcolor'>".$instance['item2']."</li>":'';
        $item     .= (isset($instance['item3']) && $instance['item3']!='')?"<li style='color:$textcolor'>".$instance['item3']."</li>":'';
        $item     .= (isset($instance['item4']) && $instance['item4']!='')?"<li style='color:$textcolor'>".$instance['item4']."</li>":'';
        $item     .= (isset($instance['item5']) && $instance['item5']!='')?"<li style='color:$textcolor'>".$instance['item5']."</li>":'';
        $item     .= (isset($instance['item6']) && $instance['item6']!='')?"<li style='color:$textcolor'>".$instance['item6']."</li>":'';
        $item     .= (isset($instance['item7']) && $instance['item7']!='')?"<li style='color:$textcolor'>".$instance['item7']."</li>":'';
        $item     .= (isset($instance['item8']) && $instance['item8']!='')?"<li style='color:$textcolor'>".$instance['item8']."</li>":'';
        $item     .= (isset($instance['item9']) && $instance['item9']!='')?"<li style='color:$textcolor'>".$instance['item9']."</li>":'';
        $item     .= (isset($instance['item10']) && $instance['item10']!='')?"<li style='color:$textcolor'>".$instance['item10']."</li>":'';
        $iconcolor        = isset($instance['iconcolor'])?$instance['iconcolor']:'#D4B068';
        $bg_color         = isset($instance['bg_color'])?$instance['bg_color']:'#fff';
        $pricingcolor     = isset($instance['pricingcolor'])?$instance['pricingcolor']:'#D4B068';
        $titlecolor       = isset($instance['titlecolor'])?$instance['titlecolor']:'#010101';
        $btn_color        = isset($instance['btn_color'])?$instance['btn_color']:'#7D7D7D';
        $btnhvr_color     = isset($instance['btnhvr_color'])?$instance['btnhvr_color']:'#D4B068';
        $featureditem = isset($instance['featureditem'])?$instance['featureditem']:'';
?>
<li class="price-list">
<?php if($featureditem !=='recommend') {?>
<div class="plan" style="background-color:<?php echo $bg_color;  ?>;">
      <header>
      <div class="price-icon"><a href="<?php echo $buttonlink;?>;">
      <i style="color:<?php echo $iconcolor; ?>;border: 2px solid <?php echo $iconcolor;  ?>;" class ="<?php echo $icon; ?>" ></i></a></div>
      <span class="plan-title" ><a href="<?php echo $buttonlink;?>"><h3 style="color:<?php echo $titlecolor; ?>;"><?php echo $title; ?></h3></a></span><br/>
      <span class="price" style="border-color:<?php echo $pricingcolor; ?>; color:<?php echo $pricingcolor; ?>;"><sup class="sup-up"><?php echo $currency; ?></sup><?php echo $price;?><span class="sup-down"><?php echo $pricemeta;?></span></span>
    </header>

    <ul class="plan-features" style="color:<?php echo $textcolor; ?>;">
      <?php echo $item; ?>
    </ul>
    <div class="plan-select-features" ><a onmouseout='this.style.border="<?php echo $btn_color; ?> 1px solid"' onmouseout='this.style.color="<?php echo $btn_color; ?>"' onmouseover='this.style.border="<?php echo $btnhvr_color; ?> 1px solid"' onmouseover='this.style.color = "<?php echo $btnhvr_color; ?>"' style="color:<?php echo $btn_color;  ?>; border-color:<?php echo $btn_color; ?>;" href="<?php echo $buttonlink;?>"><?php echo $buttonlevel;?></a></div>
</div>
 <?php } else { ?>
<div class="plan featured" style=" background-color:<?php echo $bg_color; ?>; border: 1px solid <?php echo $pricingcolor;?>;">
      <header style="background-color:<?php echo $bg_color; ?>;">
      <div class="price-icon"><a href="<?php echo $buttonlink;?>;">
      <i style="color:<?php echo $iconcolor; ?>;border: 2px solid <?php echo $iconcolor;  ?>;" class ="<?php echo $icon; ?>" ></i></a></div>
      <span class="plan-title" ><a href="<?php echo $buttonlink;?>"><h3 style="color:<?php echo $titlecolor; ?>;"><?php echo $title; ?></h3></a></span><br/>
      <span class="price" style=" border-color:<?php echo $pricingcolor; ?>; color:<?php echo $pricingcolor; ?>;"><sup class="sup-up"><?php echo $currency; ?></sup><?php echo $price;?><span class="sup-down"><?php echo $pricemeta;?></span></span>
    </header>

    <ul class="plan-features">
      <?php echo $item; ?>
    </ul>
    <div class="plan-select-features" ><a onmouseout='this.style.border="<?php echo $btn_color; ?> 1px solid"' onmouseout='this.style.color="<?php echo $btn_color; ?>"' onmouseover='this.style.border="<?php echo $btnhvr_color; ?> 1px solid"' onmouseover='this.style.color = "<?php echo $btnhvr_color; ?>"' style="color:<?php echo $btn_color;  ?>; border-color:<?php echo $btn_color; ?>;" href="<?php echo $buttonlink;?>"><?php echo $buttonlevel;?></a></div>
</div>
<?php } ?>
  </li>
<?php
        echo $after_widget;

    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['icon'] = $new_instance['icon'];
        $instance['title'] = $new_instance['title'];
        $instance['price'] = $new_instance['price'];
        $instance['currency'] = $new_instance['currency'];
        $instance['pricemeta'] = $new_instance['pricemeta'];
        $instance['buttonlevel'] = $new_instance['buttonlevel'];
        $instance['buttonlink'] = $new_instance['buttonlink'];
        $instance['item1'] = $new_instance['item1'];
        $instance['item2'] = $new_instance['item2'];
        $instance['item3'] = $new_instance['item3'];
        $instance['item4'] = $new_instance['item4'];
        $instance['item5'] = $new_instance['item5'];
        $instance['item6'] = $new_instance['item6'];
        $instance['item7'] = $new_instance['item7'];
        $instance['item8'] = $new_instance['item8'];
        $instance['item9'] = $new_instance['item9'];
        $instance['item10'] = $new_instance['item10'];
        $instance['featureditem'] = $new_instance['featureditem'];
        $instance['iconcolor'] = $new_instance['iconcolor'];
        $instance['textcolor'] = $new_instance['textcolor'];
        $instance['bg_color'] = $new_instance['bg_color'];
        $instance['pricingcolor']     = $new_instance['pricingcolor'];        
        $instance['titlecolor']       = $new_instance['titlecolor'];
        $instance['btn_color']        = $new_instance['btn_color'];
        $instance['btnhvr_color']     = $new_instance['btnhvr_color'];
        $instance['$featureditem']    = $new_instance['$featureditem'];
        return $instance;
    }

    function form($instance) {
         if( $instance) {
        $icon             = $instance['icon'];
        $title            = esc_attr($instance['title']);
        $price            = $instance['price'];
        $currency         = $instance['currency'];
        $pricemeta        = $instance['pricemeta'];
        $buttonlevel      = $instance['buttonlevel'];
        $buttonlink       = $instance['buttonlink'];
        $item1            = $instance['item1'];
        $item2            = $instance['item2'];
        $item3            = $instance['item3'];
        $item4            = $instance['item4'];
        $item5            = $instance['item5'];
        $item6            = $instance['item6'];
        $item7            = $instance['item7'];
        $item8            = $instance['item8'];
        $item9            = $instance['item9'];
        $item10           = $instance['item10'];
        $featureditem     = $instance['featureditem'];
        $iconcolor        = $instance['iconcolor'];
        $textcolor        = $instance['textcolor'];
        $bg_color         = $instance['bg_color'];
        $pricingcolor     = $instance['pricingcolor'];        
        $titlecolor       = $instance['titlecolor'];
        $btn_color        = $instance['btn_color'];
        $btnhvr_color     = $instance['btnhvr_color'];
        $featureditem     = $instance['featureditem'];

    } else {
        $icon             = 'fa fa-cart-plus';
        $title            = __('Standard Price','oneline');
        $price            = '25.50';
        $currency         = '$';
        $pricemeta        = '/MO';
        $buttonlevel      = __('VIEW PRICE','oneline');
        $buttonlink       = '';
        $item1            = '';
        $item2            = '';
        $item3            = '';
        $item4            = '';
        $item5            = '';
        $item6            = '';
        $item7            = '';
        $item8            = '';
        $item9            = '';
        $item10           = '';
        $featureditem     = '';
        $iconcolor        = '#D4B068';
        $textcolor        = '#7D7D7D';
        $bg_color         = '#fff';
        $pricingcolor     = '#D4B068';
        $titlecolor       = '#010101';
        $btn_color        = '#7D7D7D';
        $btnhvr_color     = '#D4B068';
        $featureditem     = '';
    }
    ?>
        <div class="clearfix"></div>

 <p><label for="<?php echo $this->get_field_id('icon'); ?>"><?php _e('Icon','oneline'); ?></label>
        <input type="text" class="widefat" name="<?php echo $this->get_field_name('icon'); ?>" id="<?php echo $this->get_field_id('icon'); ?>" value="<?php  echo $icon; ?>" style="margin-top:5px;">
        </p>

        <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title','oneline'); ?></label>
        <input type="text" class="widefat" name="<?php echo $this->get_field_name('title'); ?>" id="<?php echo $this->get_field_id('title'); ?>" value="<?php  echo $title; ?>" style="margin-top:5px;">
        </p>
        <p>
        <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Price','oneline'); ?></label>
        <input type="text" class="widefat" name="<?php echo $this->get_field_name('price'); ?>" id="<?php echo $this->get_field_id('price'); ?>" value="<?php  echo $price; ?>" style="margin-top:5px;">
        </p>
        <p>
        <label for="<?php echo $this->get_field_id('currency'); ?>"><?php _e('Currency','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('currency'); ?>" id="<?php echo $this->get_field_id('currency'); ?>" value="<?php  echo $currency; ?>" style="margin-top:5px;">
        </p>

        <p>
        <label for="<?php echo $this->get_field_id('pricemeta'); ?>"><?php _e('Price-Meta','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('pricemeta'); ?>" id="<?php echo $this->get_field_id('pricemeta'); ?>" value="<?php  echo $pricemeta; ?>" style="margin-top:5px;">
        </p>
        <p>
        <label for="<?php echo $this->get_field_id('buttonlevel'); ?>"><?php _e('Button-Level','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('buttonlevel'); ?>" id="<?php echo $this->get_field_id('buttonlevel'); ?>" value="<?php  echo $buttonlevel; ?>" style="margin-top:5px;">
       </p>
       <p>
       <label for="<?php echo $this->get_field_id('buttonlink'); ?>"><?php _e('Button-Link','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('buttonlink'); ?>" id="<?php echo $this->get_field_id('buttonlink'); ?>" value="<?php  echo $buttonlink; ?>" style="margin-top:5px;">
      </p>
      <p>
      <label for="<?php echo $this->get_field_id('item1'); ?>"><?php _e('Item1','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item1'); ?>" id="<?php echo $this->get_field_id('item1'); ?>" value="<?php  echo $item1; ?>" style="margin-top:5px;">
      </p>
      <p>
<label for="<?php echo $this->get_field_id('item2'); ?>"><?php _e('Item2','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item2'); ?>" id="<?php echo $this->get_field_id('item2'); ?>" value="<?php  echo $item2; ?>" style="margin-top:5px;">
</p>
<p>

<label for="<?php echo $this->get_field_id('item3'); ?>"><?php _e('Item3','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item3'); ?>" id="<?php echo $this->get_field_id('item3'); ?>" value="<?php  echo $item3; ?>" style="margin-top:5px;">
</p>
<p>
<label for="<?php echo $this->get_field_id('item4'); ?>"><?php _e('Item4','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item4'); ?>" id="<?php echo $this->get_field_id('item4'); ?>" value="<?php  echo $item4; ?>" style="margin-top:5px;">
       </p>
       <p>
<label for="<?php echo $this->get_field_id('item5'); ?>"><?php _e('Item5','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item5'); ?>" id="<?php echo $this->get_field_id('item5'); ?>" value="<?php  echo $item5; ?>" style="margin-top:5px;">
</p>
<p>
<label for="<?php echo $this->get_field_id('item6'); ?>"><?php _e('Item6','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item6'); ?>" id="<?php echo $this->get_field_id('item6'); ?>" value="<?php  echo $item6; ?>" style="margin-top:5px;">
</p>
<p>
<label for="<?php echo $this->get_field_id('item7'); ?>"><?php _e('Item7','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item7'); ?>" id="<?php echo $this->get_field_id('item7'); ?>" value="<?php  echo $item7; ?>" style="margin-top:5px;">
       </p>
<p>
<label for="<?php echo $this->get_field_id('item8'); ?>"><?php _e('Item8','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item8'); ?>" id="<?php echo $this->get_field_id('item8'); ?>" value="<?php  echo $item8; ?>" style="margin-top:5px;">
       </p>
       <p>
<label for="<?php echo $this->get_field_id('item9'); ?>"><?php _e('Item9','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item9'); ?>" id="<?php echo $this->get_field_id('item9'); ?>" value="<?php  echo $item9; ?>" style="margin-top:5px;">
       </p>
       <p>
<label for="<?php echo $this->get_field_id('item10'); ?>"><?php _e('Item10','oneline'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item10'); ?>" id="<?php echo $this->get_field_id('item10'); ?>" value="<?php  echo $item10; ?>" style="margin-top:5px;">
</p>
<!-- Color Section -->
<p><label for="<?php echo $this->get_field_id( 'iconcolor' ); ?>" style="display:block;"><?php _e( 'Icon & Border Color', 'oneline' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'iconcolor' ); ?>" name="<?php echo $this->get_field_name( 'iconcolor' ); ?>" type="text" value="<?php echo esc_attr( $iconcolor ); ?>" />
</p>
<p><label for="<?php echo $this->get_field_id( 'pricingcolor' ); ?>" style="display:block;"><?php _e( 'Price Color', 'oneline'); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'pricingcolor' ); ?>" name="<?php echo $this->get_field_name( 'pricingcolor' ); ?>" type="text" value="<?php echo esc_attr( $pricingcolor ); ?>" />
</p>

<p><label for="<?php echo $this->get_field_id( 'titlecolor' ); ?>" style="display:block;"><?php _e( 'Title Text Color','oneline' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'titlecolor' ); ?>" name="<?php echo $this->get_field_name( 'titlecolor' ); ?>" type="text" value="<?php echo esc_attr( $titlecolor ); ?>" />
</p>

<p><label for="<?php echo $this->get_field_id( 'textcolor' ); ?>" style="display:block;"><?php _e( 'Item Text Color', 'oneline' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'textcolor' ); ?>" name="<?php echo $this->get_field_name( 'textcolor' ); ?>" type="text" value="<?php echo esc_attr( $textcolor ); ?>" />
</p>
<p><label for="<?php echo $this->get_field_id( 'bg_color' ); ?>" style="display:block;"><?php _e( 'Backdround Color', 'oneline' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'bg_color' ); ?>" name="<?php echo $this->get_field_name( 'bg_color' ); ?>" type="text" value="<?php echo esc_attr( $bg_color ); ?>" />
</p>

<p><label for="<?php echo $this->get_field_id( 'btn_color' ); ?>" style="display:block;"><?php _e( 'Button Color', 'oneline' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'btn_color' ); ?>" name="<?php echo $this->get_field_name( 'btn_color' ); ?>" type="text" value="<?php echo esc_attr( $btn_color ); ?>" />
</p>

<p><label for="<?php echo $this->get_field_id( 'btnhvr_color' ); ?>" style="display:block;"><?php _e( 'Button Hover Color', 'oneline' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'btnhvr_color' ); ?>" name="<?php echo $this->get_field_name( 'btnhvr_color' ); ?>" type="text" value="<?php echo esc_attr( $btnhvr_color ); ?>" />
</p>
<p>
<label for="<?php echo $this->get_field_id('featureditem'); ?>"><?php _e('Recommend','oneline'); ?></label>
<input type="checkbox" class="widefat" name="<?php echo $this->get_field_name('featureditem'); ?>" id="<?php echo $this->get_field_id('featureditem'); ?>" value="recommend" >
</p>
       <?php
    }
}
?>