<?php
/**
* The template for displaying Search Results pages
*
* @package WordPress
* @subpackage Oneline
* @since Oneline 1.0
*/
get_header();
$layout = oneline_get_layout();
$oneline_plx = get_theme_mod('parallax_opt');
if($oneline_plx =='' || $oneline_plx =='0'){  
$prlx_class = 'parallax-pro';
$prlx_data_center = 'background-position: 50% 0px';
$prlx_top_bottom = 'background-position: 50% -100px;';
}else{
$prlx_class = ''; 
$prlx_data_center = '';
$prlx_top_bottom =''; 
}
?>
<div class="page-title <?php echo svg_active();?> <?php echo $prlx_class;?>">
<?php echo oneline_lite_page_svg_top_enable(); ?>
<div data-center="<?php echo $prlx_data_center;?>" data-top-bottom="<?php echo $prlx_top_bottom;?>" class="demo-image" style="background-image:url('<?php echo oneline_header_img(); ?>')">
    <div class="overlay-demo"></div>
    <div class="full-fs-caption">
        <div class="caption-container">
			<div class="archive-title">
		<h1><?php printf( __( 'Search Results for : %s', 'oneline' ), get_search_query() ); ?></h1>
	</div>
	</div>
    </div>
</div>
<?php echo oneline_lite_page_svg_bottom_enable(); ?>
<?php echo oneline_breadcrumb(); ?>
<?php echo oneline_lite_page_svg_top_enable(); ?>
</div>
<div id="page" class="clearfix <?php echo $layout; ?> <?php echo svg_active();?>">
<div class="content-wrapper">
	<!-- Content Start -->
	<div class="content">
	<div class="page-content blog-content">
			<div id="main">
		<?php if (have_posts()) : ?>
			<ul class="load_post standard-layout">
				<?php get_template_part('loop', 'blog'); ?>
			</ul>
		<?php
		else :
		get_template_part( 'content', 'none' );
		endif;
		?>
		</div>
		</div>
	</div>
</div>	
<?php if ( $layout != 'no-sidebar' ) { ?>
	<div class="sidebar-wrapper">
		<?php get_sidebar(); ?>
	</div>
<?php } ?>
</div><!-- Content End -->
<?php get_footer(); ?>








