<?php
/**
 * Typography settings.
 * @package oneline
 * @since 1.1.38
 */
/**
 * Include font selector functions.
 */
require_once(get_template_directory(). '/inc/customizer-font-selector/class/class-oneline-font-selector.php' );
require_once(get_template_directory(). '/inc/customizer-range-value/class/class-oneline-customizer-range-value-control.php' );
$font_selector_functions = get_template_directory() . '/inc/customizer-font-selector/functions.php';
if ( file_exists( $font_selector_functions ) ) {
	require_once( $font_selector_functions );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 *
 * @since 1.1.38
 */
// function oneline_customize_preview(){
// 	wp_enqueue_script( 'oneline_customizer', get_template_directory_uri() . '/inc/typography/js/customizer.js', array( 'customize-preview', 'oneline_sections_match_height' ), '1.0.0', true );
// }
// add_action( 'customize_preview_init', 'oneline_customize_preview' );
/**
 * Customizer controls for typography settings.
 *
 * @param WP_Customize_Manager $wp_customize Customize manager.
 *
 * @since 1.1.38
 */
function oneline_typography_settings( $wp_customize ) {
$wp_customize->register_control_type( 'Oneline_Customizer_Range_Value_Control' );

$wp_customize->add_panel( 'theme_tygrphy', array(
    'priority'       => 2,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Typography', 'oneline'),
    'description'    => '',
) );
$wp_customize->add_section(
		'oneline_fontsubset_typography', array(
			'title' => esc_html__( 'Font Subsets', 'oneline' ),
			'priority' => 25,
			'panel' => 'theme_tygrphy',
		)
	);
if ( class_exists( 'TH_Customize_Control_Checkbox_Multiple' ) ) {

		$wp_customize->add_setting(
			'oneline_font_subsets', array(
				'default' => array( 'latin' ),
				'sanitize_callback' => 'th_checkbox_explode',
			)
		);

		$wp_customize->add_control(
			new TH_Customize_Control_Checkbox_Multiple(
				$wp_customize, 'oneline_font_subsets', array(
					'section' => 'oneline_fontsubset_typography',
					'label' => esc_html__( 'Font Subsets', 'oneline' ),
					'choices' => array(
						'latin' => 'latin',
						'latin-ext' => 'latin-ext',
						'cyrillic' => 'cyrillic',
						'cyrillic-ext' => 'cyrillic-ext',
						'greek' => 'greek',
						'greek-ext' => 'greek-ext',
						'vietnamese' => 'vietnamese',
						'arabic' => 'arabic',
					),
					'priority' => 10,
				)
			)
		);
	}
//***********************************************//
// Add body typography setting.
//***********************************************//
$wp_customize->add_section(
		'oneline_typography', array(
			'title' => esc_html__( 'Body', 'oneline' ),
			'priority' => 25,
			'panel' => 'theme_tygrphy',
		)
	);

	if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_body_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_body_font', array(
		'label' => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_typography',
					'priority'          => 20,
					'type'              => 'select',
				)
			)
		);
	}// End if().

	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ) {

		$wp_customize->add_setting(
			'oneline_body_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 15,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_body_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 20,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_body_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 15,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_body_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 20,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_body_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 15,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_body_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 20,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);

        $wp_customize->add_setting(
			'oneline_body_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_body_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 50,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_body_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_body_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 50,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// mob
		$wp_customize->add_setting(
			'oneline_body_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_body_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 50,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);

// letter-spacing	
$wp_customize->add_setting(
			'oneline_body_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_body_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_body_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_body_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_body_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);

$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_body_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);

}// End if().
//***********************************************//
//END body typography setting.
//***********************************************//

//***********************************************//
// heading-h1
//***********************************************//
$wp_customize->add_section(
		'oneline_h1_typography', array(
			'title' => esc_html__( 'Heading 1 (H1)', 'oneline' ),
			'priority' => 25,
			'panel' => 'theme_tygrphy',
		)
	);

	if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_h1_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_h1_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_h1_typography',
					'priority'          => 20,
					'type'              => 'select',
				)
			)
		);
	}// End if().

	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ) {

		$wp_customize->add_setting(
			'oneline_h1_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 44,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h1_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h1_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_h1_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 44,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h1_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h1_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
       // mob
		$wp_customize->add_setting(
			'oneline_h1_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 44,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h1_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h1_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);


        $wp_customize->add_setting(
			'oneline_h1_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 44,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h1_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h1_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
  // tab

        $wp_customize->add_setting(
			'oneline_h1_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 44,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h1_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h1_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// mob

        $wp_customize->add_setting(
			'oneline_h1_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 44,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h1_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h1_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_h1_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h1_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h1_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// tab
		$wp_customize->add_setting(
			'oneline_h1_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h1_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h1_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// mob
		$wp_customize->add_setting(
			'oneline_h1_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h1_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h1_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);


	}
/*******************************************/
// heading-h2
/*******************************************/
$wp_customize->add_section(
		'oneline_h2_typography', array(
			'title' => esc_html__( 'Heading 2 (H2)', 'oneline' ),
			'priority' => 25,
			'panel' => 'theme_tygrphy',
		)
	);

	if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_h2_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_h2_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_h2_typography',
					'priority'          => 20,
					'type'              => 'select',
				)
			)
		);
	}// End if().

	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ) {

		$wp_customize->add_setting(
			'oneline_h2_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h2_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h2_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);

		// tab
		$wp_customize->add_setting(
			'oneline_h2_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h2_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h2_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
      // mob
		$wp_customize->add_setting(
			'oneline_h2_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h2_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h2_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);



        $wp_customize->add_setting(
			'oneline_h2_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h2_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h2_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// tab
$wp_customize->add_setting(
			'oneline_h2_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h2_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h2_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// mob
$wp_customize->add_setting(
			'oneline_h2_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h2_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h2_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_h2_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h2_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h2_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
		// tab
$wp_customize->add_setting(
			'oneline_h2_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h2_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h2_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_h2_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h2_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h2_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);

	}
/*************************************************/	
// heading-h3
/*************************************************/	
$wp_customize->add_section(
		'oneline_h3_typography', array(
			'title' => esc_html__( 'Heading 3 (H3)', 'oneline' ),
			'priority' => 25,
			'panel' => 'theme_tygrphy',
		)
	);

	if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_h3_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_h3_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_h3_typography',
					'priority'          => 20,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_h3_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h3_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h3_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_h3_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h3_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h3_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);

// mob
		$wp_customize->add_setting(
			'oneline_h3_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h3_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h3_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);

        $wp_customize->add_setting(
			'oneline_h3_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h3_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h3_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// tab
$wp_customize->add_setting(
			'oneline_h3_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h3_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h3_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// mob
$wp_customize->add_setting(
			'oneline_h3_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h3_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h3_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_h3_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h3_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h3_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// tab
		$wp_customize->add_setting(
			'oneline_h3_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h3_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h3_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// mob
		$wp_customize->add_setting(
			'oneline_h3_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h3_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h3_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);


	}
/***********************************************/	
// heading-h4
/***********************************************/
$wp_customize->add_section(
		'oneline_h4_typography', array(
			'title' => esc_html__( 'Heading 4 (H4)', 'oneline' ),
			'priority' => 25,
			'panel' => 'theme_tygrphy',
		)
	);

	if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_h4_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_h4_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_h4_typography',
					'priority'          => 20,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_h4_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h4_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h4_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_h4_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h4_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h4_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_h4_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h4_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h4_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);



        $wp_customize->add_setting(
			'oneline_h4_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h4_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h4_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_h4_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h4_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h4_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// mob
$wp_customize->add_setting(
			'oneline_h4_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h4_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h4_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_h4_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h4_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h4_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_h4_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h4_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h4_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_h4_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h4_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h4_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
	}
/**********************************************/
// heading-h5
/**********************************************/
$wp_customize->add_section(
		'oneline_h5_typography', array(
			'title' => esc_html__( 'Heading 5 (H5)', 'oneline' ),
			'priority' => 25,
			'panel' => 'theme_tygrphy',
		)
	);

	if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_h5_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_h5_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_h5_typography',
					'priority'          => 20,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_h5_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h5_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h5_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_h5_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h5_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h5_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_h5_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h5_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h5_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);

        $wp_customize->add_setting(
			'oneline_h5_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h5_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h5_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_h5_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h5_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h5_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// mob
		$wp_customize->add_setting(
			'oneline_h5_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h5_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h5_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_h5_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h5_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h5_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_h5_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h5_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h5_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_h5_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h5_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h5_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
	}
//******************************************************/	
// heading-h6
//******************************************************/		
$wp_customize->add_section(
		'oneline_h6_typography', array(
			'title' => esc_html__( 'Heading 6 (H6)', 'oneline' ),
			'priority' => 25,
			'panel' => 'theme_tygrphy',
		)
	);

	if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_h6_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_h6_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_h6_typography',
					'priority'          => 20,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_h6_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h6_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h6_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// tab
		$wp_customize->add_setting(
			'oneline_h6_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h6_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h6_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_h6_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h6_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h6_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
        $wp_customize->add_setting(
			'oneline_h6_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h6_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h6_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// tab
$wp_customize->add_setting(
			'oneline_h6_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h6_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h6_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_h6_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h6_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h6_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_h6_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h6_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h6_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_h6_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h6_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h6_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_h6_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_h6_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_h6_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
	}
// anchor-a-tag
$wp_customize->add_section(
		'oneline_a_typography', array(
		'title' => esc_html__( 'Anchor (a)', 'oneline' ),
		'priority' => 25,
		'panel' => 'theme_tygrphy',
		)
	);

	if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_a_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_a_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_a_typography',
					'priority'          => 20,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_a_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_a_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_a_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
        // tab
        $wp_customize->add_setting(
			'oneline_a_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_a_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_a_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
        // mobile
         $wp_customize->add_setting(
			'oneline_a_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_a_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_a_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);


        $wp_customize->add_setting(
			'oneline_a_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_a_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_a_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
     // tab
		 $wp_customize->add_setting(
			'oneline_a_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_a_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_a_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
		// mob
		 $wp_customize->add_setting(
			'oneline_a_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_a_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_a_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_a_letter_spacing', array(
			'sanitize_callback' => 'oneline_sanitize_range_value',
			'default' => 0.5,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_a_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_a_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_a_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.5,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_a_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_a_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_a_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.5,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_a_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_a_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 25,
				)
			)
		);
	}	
/*****************************************************/	
// site-title-typography
/*****************************************************/	
// break    
 $wp_customize->add_setting('typo_site_tle_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
 $wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_site_tle_line_break',array(
            'section' => 'title_tagline',
            'description' => __( 'Site Title Typography', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority'          => 35,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_site_tle_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_site_tle_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'title_tagline',
					'priority'          => 36,
					'type'              => 'select',
				)
			)
		);
	}// End if().
if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_site_tle_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_tle_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 37,
				)
			)
		);
// tab
		$wp_customize->add_setting(
			'oneline_site_tle_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_tle_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 37,
				)
			)
		);
// mob
		$wp_customize->add_setting(
			'oneline_site_tle_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_tle_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 37,
				)
			)
		);		
        $wp_customize->add_setting(
			'oneline_site_tle_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 35,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_tle_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 38,
				)
			)
		);
// tab		
 $wp_customize->add_setting(
			'oneline_site_tle_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 35,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_tle_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 38,
				)
			)
		);
		// mob	
 $wp_customize->add_setting(
			'oneline_site_tle_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 35,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_tle_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 38,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_site_tle_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_tle_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 39,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_site_tle_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_tle_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 39,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_site_tle_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_tle_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 39,
				)
			)
		);
	}
/**************************************************/	
// site-subtitle-typography
/**************************************************/
// break    
 $wp_customize->add_setting('typo_site_sbtle_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
 $wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_site_sbtle_line_break',array(
            'section' => 'title_tagline',
            'description' => __( 'Site Tagline Typography', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority'          => 40,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_site_sbtle_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_site_sbtle_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'title_tagline',
					'priority'          => 41,
					'type'              => 'select',
				)
			)
		);
	}// End if().
if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_site_sbtle_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_sbtle_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 42,
				)
			)
		);
// tab
		$wp_customize->add_setting(
			'oneline_site_sbtle_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_sbtle_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 42,
				)
			)
		);
// mob
		$wp_customize->add_setting(
			'oneline_site_sbtle_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_sbtle_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 42,
				)
			)
		);	


        $wp_customize->add_setting(
			'oneline_site_sbtle_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_sbtle_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 43,
				)
			)
		);
		// tab
 $wp_customize->add_setting(
			'oneline_site_sbtle_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_sbtle_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 43,
				)
			)
		);
		//mob
 $wp_customize->add_setting(
			'oneline_site_sbtle_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_sbtle_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 43,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_site_sbtle_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.5,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_sbtle_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 44,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_site_sbtle_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.5,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_sbtle_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 44,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_site_sbtle_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.5,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_site_sbtle_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'title_tagline',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 44,
				)
			)
		);
	}
/**************************************************/	
// menu-typography
/**************************************************/	

// break    
 $wp_customize->add_setting('typo_menu_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
 $wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_menu_line_break',array(
            'section' => 'header_setting',
            'description' => __( 'Menu Typography', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority'          => 40,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_menu_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_menu_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'header_setting',
					'priority'          => 41,
					'type'              => 'select',
				)
			)
		);
	}// End if().
if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_menu_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 12,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_menu_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'header_setting',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 42,
				)
			)
		);
// tab
		$wp_customize->add_setting(
			'oneline_menu_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 12,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_menu_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'header_setting',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 42,
				)
			)
		);
// mob		
$wp_customize->add_setting(
			'oneline_menu_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 12,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_menu_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'header_setting',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 42,
				)
			)
		);		
        $wp_customize->add_setting(
			'oneline_menu_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_menu_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'header_setting',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 43,
				)
			)
		);
// tab		
$wp_customize->add_setting(
			'oneline_menu_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_menu_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'header_setting',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 43,
				)
			)
		);
// mob	
$wp_customize->add_setting(
			'oneline_menu_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_menu_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'header_setting',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 43,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_menu_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_menu_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'header_setting',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 44,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_menu_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_menu_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'header_setting',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 44,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_menu_letter_spacing_mb', array(
			'sanitize_callback' => 'oneline_sanitize_range_value',
			'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_menu_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'header_setting',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 44,
				)
			)
		);


}

/************************************************/
// slider-typography
/************************************************/
$wp_customize->add_section(
		'oneline_sld_typography', array(
			'title' => esc_html__( 'Slider Typography', 'oneline' ),
			'priority' => 25,
			'panel' => 'slider_panel',
		)
	);
// break    
 $wp_customize->add_setting('typo_line_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
 $wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_line_break_color',array(
            'section' => 'oneline_sld_typography',
            'description' => __( 'Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority'          => 1,
 )));
	if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_sld_hd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_sld_hd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_sld_typography',
					'priority'          => 5,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_sld_hd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_sld_hd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_sld_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 10,
				)
			)
		);
// tab
		$wp_customize->add_setting(
			'oneline_sld_hd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_sld_hd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_sld_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 10,
				)
			)
		);
// mob	
$wp_customize->add_setting(
			'oneline_sld_hd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_sld_hd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_sld_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 10,
				)
			)
		);	
        $wp_customize->add_setting(
			'oneline_sld_hd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 50,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_sld_hd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_sld_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 10,
				)
			)
		);
// tab
		$wp_customize->add_setting(
			'oneline_sld_hd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 50,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_sld_hd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_sld_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 10,
				)
			)
		);
// mob	
		$wp_customize->add_setting(
			'oneline_sld_hd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 50,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_sld_hd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_sld_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 10,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_sld_hd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1.1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_sld_hd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_sld_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_sld_hd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1.1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_sld_hd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_sld_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_sld_hd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1.1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_sld_hd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_sld_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_btn_line_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_btn_line_break_color',array(
            'section' => 'oneline_sld_typography',
            'description' => __( 'Button', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 15,
 )));
// buuton-typograpgy
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_sld_btn_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_sld_btn_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_sld_typography',
					'priority'          => 16,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		
       $wp_customize->add_setting(
			'oneline_sld_btn_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_sld_btn_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_sld_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_sld_btn_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_sld_btn_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_sld_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 19,
				)
			)
		);
	}
/****************************************/	
// services-typology
/****************************************/	
	$wp_customize->add_section(
		'oneline_srv_typography', array(
			'title' => esc_html__( 'Typography', 'oneline' ),
			'priority' => 5,
			'panel' => 'services_panel',
		)
	);
// break    
$wp_customize->add_setting('typo_service_hd_line_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_service_hd_line_break_color',array(
            'section' => 'oneline_srv_typography',
            'description' => __( 'Main Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 1,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_srv_hd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_srv_hd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_srv_typography',
					'priority'          => 2,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_srv_hd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_hd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_srv_hd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_hd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_srv_hd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_hd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_srv_hd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_hd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_srv_hd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_hd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_srv_hd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_hd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
	);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_srv_hd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_hd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_srv_hd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_hd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
//mob
$wp_customize->add_setting(
			'oneline_srv_hd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_hd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_service_sbhd_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_service_sbhd_line_break',array(
            'section' => 'oneline_srv_typography',
            'description' => __( 'Sub Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 6,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_srv_sbhd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_srv_sbhd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_srv_typography',
					'priority'          => 7,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_srv_sbhd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_sbhd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_srv_sbhd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_sbhd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_srv_sbhd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_sbhd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_srv_sbhd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_sbhd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_srv_sbhd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_sbhd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_srv_sbhd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_sbhd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_srv_sbhd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_sbhd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_srv_sbhd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_sbhd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_srv_sbhd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_sbhd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_service_title_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_service_title_line_break',array(
            'section' => 'oneline_srv_typography',
            'description' => __( 'Service Title', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 11,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_srv_tle_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_srv_tle_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_srv_typography',
					'priority'          => 12,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_srv_tle_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_tle_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_srv_tle_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_tle_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_srv_tle_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_tle_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_srv_tle_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 28,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_tle_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_srv_tle_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 28,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_tle_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_srv_tle_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 28,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_tle_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_srv_tle_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1.5,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_tle_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_srv_tle_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1.5,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_tle_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_srv_tle_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1.5,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_tle_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_service_desc_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_service_desc_line_break',array(
            'section' => 'oneline_srv_typography',
            'description' => __( 'Service description', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 16,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_srv_desc_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_srv_desc_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_srv_typography',
					'priority'          => 17,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_srv_desc_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_desc_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_srv_desc_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_desc_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_srv_desc_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_desc_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_srv_desc_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 28,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_desc_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 20,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_srv_desc_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 28,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_desc_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 20,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_srv_desc_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 28,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_desc_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 20,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_srv_desc_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 28,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_desc_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 20,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_srv_desc_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_desc_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_srv_desc_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_desc_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_srv_desc_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_srv_desc_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_srv_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
	}
/****************************************************/
// ribbon-typology
/****************************************************/
	$wp_customize->add_section(
		'oneline_rbn_typography', array(
			'title' => esc_html__( 'Typography', 'oneline' ),
			'priority' => 5,
			'panel' => 'ribbon_panel',
		)
	);
// break    
$wp_customize->add_setting('typo_rbn_hd_line_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_rbn_hd_line_break_color',array(
            'section' => 'oneline_rbn_typography',
            'description' => __( 'Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 1,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_rbn_hd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_rbn_hd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_rbn_typography',
					'priority'          => 2,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_rbn_hd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_hd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
// tab
		$wp_customize->add_setting(
			'oneline_rbn_hd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_hd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
// mob
		$wp_customize->add_setting(
			'oneline_rbn_hd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_hd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);		
// line-height		
$wp_customize->add_setting(
			'oneline_rbn_hd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 36,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_hd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_rbn_hd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 36,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_hd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_rbn_hd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 36,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_hd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_rbn_hd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_hd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_rbn_hd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_hd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// mb
$wp_customize->add_setting(
			'oneline_rbn_hd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_hd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_rbn_btn_line_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_rbn_btn_line_break_color',array(
            'section' => 'oneline_rbn_typography',
            'description' => __( 'Button', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 6,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_rbn_btn_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_rbn_btn_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_rbn_typography',
					'priority'          => 7,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_rbn_btn_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_btn_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_rbn_btn_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_btn_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_rbn_btn_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_btn_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_rbn_btn_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_btn_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_rbn_btn_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_btn_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_rbn_btn_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_btn_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_rbn_btn_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_btn_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_rbn_btn_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_btn_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_rbn_btn_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_rbn_btn_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_rbn_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
	}
/********************************************/
// portfolio-typology
/********************************************/
$wp_customize->add_section(
		'oneline_prt_typography', array(
			'title' => esc_html__( 'Typography', 'oneline' ),
			'priority' => 5,
			'panel' => 'portfolio_panel',
		)
	);
// break    
$wp_customize->add_setting('typo_prt_hd_line_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_prt_hd_line_break_color',array(
            'section' => 'oneline_prt_typography',
            'description' => __( 'Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 1,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_prt_hd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_prt_hd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_prt_typography',
					'priority'          => 2,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_prt_hd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_hd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_prt_hd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_hd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		//mob
		$wp_customize->add_setting(
			'oneline_prt_hd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_hd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_prt_hd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_hd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_prt_hd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_hd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_prt_hd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_hd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_prt_hd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_hd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_prt_hd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_hd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_prt_hd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_hd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_prt_sb_line_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_prt_sb_line_break_color',array(
            'section' => 'oneline_prt_typography',
            'description' => __( 'Sub Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 6,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_prt_sb_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_prt_sb_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_prt_typography',
					'priority'          => 7,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_prt_sb_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_sb_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_prt_sb_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_sb_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_prt_sb_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_sb_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_prt_sb_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_sb_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_prt_sb_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_sb_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_prt_sb_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_sb_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_prt_sb_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_sb_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_prt_sb_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_sb_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_prt_sb_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_sb_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
	}
	// break    
$wp_customize->add_setting('typo_prt_cat_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_prt_cat_line_break',array(
            'section' => 'oneline_prt_typography',
            'description' => __( 'Category Button', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 11,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_prt_cat_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_prt_cat_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_prt_typography',
					'priority'          => 12,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_prt_cat_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_prt_cat_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_prt_cat_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_prt_cat_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_prt_cat_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_prt_cat_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_prt_cat_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_prt_cat_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_prt_cat_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
	}
	// break    
$wp_customize->add_setting('typo_prt_cat_img_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_prt_cat_img_line_break',array(
            'section' => 'oneline_prt_typography',
            'description' => __( 'Category', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 16,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_prt_cat_img_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_prt_cat_img_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_prt_typography',
					'priority'          => 17,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_prt_cat_img_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_img_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_prt_cat_img_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_img_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_prt_cat_img_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_img_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_prt_cat_img_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_img_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_prt_cat_img_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_img_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_prt_cat_img_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 30,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_img_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_prt_cat_img_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_img_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_prt_cat_img_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_img_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_prt_cat_img_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_prt_cat_img_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_prt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
	}
/*****************************************/	
// about us-typology
/*****************************************/	
$wp_customize->add_section(
		'oneline_abt_typography', array(
			'title' => esc_html__( 'Typography', 'oneline' ),
			'priority' => 5,
			'panel' => 'aboutus_panel',
		)
	);
// break    
$wp_customize->add_setting('typo_abt_hd_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_abt_hd_line_break',array(
            'section' => 'oneline_abt_typography',
            'description' => __( 'Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 1,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_abt_hd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_abt_hd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_abt_typography',
					'priority'          => 2,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_abt_hd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_hd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_abt_hd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_hd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_abt_hd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_hd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_abt_hd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_hd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_abt_hd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_hd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_abt_hd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_hd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_abt_hd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_hd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_abt_hd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_hd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_abt_hd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_hd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_abt_sb_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_abt_sb_line_break',array(
            'section' => 'oneline_abt_typography',
            'description' => __( 'Sub Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 6,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_abt_sb_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_abt_sb_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_abt_typography',
					'priority'          => 7,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_abt_sb_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_sb_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_abt_sb_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_sb_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_abt_sb_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_sb_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_abt_sb_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_sb_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_abt_sb_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_sb_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_abt_sb_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_sb_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_abt_sb_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_sb_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_abt_sb_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_sb_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_abt_sb_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_sb_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_abt_cnt_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_abt_cnt_line_break',array(
            'section' => 'oneline_abt_typography',
            'description' => __( 'Content Typography', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 11,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_abt_cnt_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_abt_cnt_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_abt_typography',
					'priority'          => 12,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_abt_cnt_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_cnt_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_abt_cnt_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_cnt_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_abt_cnt_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_cnt_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_abt_cnt_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_cnt_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_abt_cnt_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_cnt_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_abt_cnt_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_cnt_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_abt_cnt_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_cnt_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_abt_cnt_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_cnt_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_abt_cnt_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 1,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_abt_cnt_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_abt_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
	}
/*************************************/
//Team-typology
/*************************************/
$wp_customize->add_section(
		'oneline_team_typography', array(
			'title' => esc_html__( 'Typography', 'oneline' ),
			'priority' => 5,
			'panel' => 'team_panel',
		)
	);
// break    
$wp_customize->add_setting('typo_team_hd_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_team_hd_line_break',array(
            'section' => 'oneline_team_typography',
            'description' => __( 'Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 1,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_team_hd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_team_hd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_team_typography',
					'priority'          => 2,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_team_hd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_hd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_team_hd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_hd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_team_hd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_hd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_team_hd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_hd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_team_hd_line_height_tb', array(
			'sanitize_callback' => 'oneline_sanitize_range_value',
			'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_hd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_team_hd_line_height_mb', array(
			'sanitize_callback' => 'oneline_sanitize_range_value',
			'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_hd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_team_hd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_hd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_team_hd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_hd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_team_hd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_hd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_team_sb_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_team_sb_line_break',array(
            'section' => 'oneline_team_typography',
            'description' => __( 'Sub Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 6,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_team_sb_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_team_sb_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_team_typography',
					'priority'          => 7,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_team_sb_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_sb_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_team_sb_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_sb_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_team_sb_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_sb_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_team_sb_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_sb_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_team_sb_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_sb_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// mb
$wp_customize->add_setting(
			'oneline_team_sb_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_sb_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_team_sb_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_sb_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_team_sb_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_sb_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_team_sb_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_team_sb_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_team_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_team_tle_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_team_tle_line_break',array(
            'section' => 'oneline_team_typography',
            'description' => __( 'Team Title', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 11,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_team_tle_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_team_tle_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_team_typography',
					'priority'          => 12,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	// break    
$wp_customize->add_setting('typo_team_dg_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_team_dg_line_break',array(
            'section' => 'oneline_team_typography',
            'description' => __( 'Team Designation Typography', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 13,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_team_dg_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_team_dg_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_team_typography',
					'priority'          => 14,
					'type'              => 'select',
				)
			)
		);
}//
/*************************************/
// Testimonial-typology
/*************************************/
$wp_customize->add_section(
		'oneline_test_typography', array(
			'title' => esc_html__( 'Typography', 'oneline' ),
			'priority' => 5,
			'panel' => 'testimonial_panel',
		)
	);
// break    
$wp_customize->add_setting('typo_test_mnhd_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_test_mnhd_line_break',array(
            'section' => 'oneline_test_typography',
            'description' => __( 'Main Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 1,
 )));

// main-heading
if ( class_exists( 'Oneline_Font_Selector' ) ){
		$wp_customize->add_setting(
			'oneline_test_mnhd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_test_mnhd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_test_typography',
					'priority'          => 2,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_test_mnhd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_mnhd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_test_mnhd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_mnhd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_test_mnhd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_mnhd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_test_mnhd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_mnhd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_test_mnhd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_mnhd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_test_mnhd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_mnhd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_test_mnhd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_mnhd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_test_mnhd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_mnhd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_test_mnhd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_mnhd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
	}
	// break    
$wp_customize->add_setting('typo_test_sbhd_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_test_sbhd_line_break',array(
            'section' => 'oneline_test_typography',
            'description' => __( 'Sub Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 6,
 )));

// sub-heading
if ( class_exists( 'Oneline_Font_Selector' ) ){
		$wp_customize->add_setting(
			'oneline_test_sbhd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_test_sbhd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_test_typography',
					'priority'          => 7,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_test_sbhd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_sbhd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_test_sbhd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_sbhd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_test_sbhd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_sbhd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_test_sbhd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_sbhd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_test_sbhd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_sbhd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_test_sbhd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_sbhd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_test_sbhd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_sbhd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_test_sbhd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_sbhd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_test_sbhd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_sbhd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
	}	
// break    
$wp_customize->add_setting('typo_test_hd_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_test_hd_line_break',array(
            'section' => 'oneline_test_typography',
            'description' => __( 'Author', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 11,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_test_hd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_test_hd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_test_typography',
					'priority'          => 12,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_test_hd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_hd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_test_hd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_hd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_test_hd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_hd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_test_hd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_hd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_test_hd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_hd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_test_hd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_hd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_test_hd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_hd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_test_hd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_hd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_test_hd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_hd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_test_cnt_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_test_cnt_line_break',array(
            'section' => 'oneline_test_typography',
            'description' => __( 'Content Typography', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 16,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_test_cnt_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_test_cnt_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_test_typography',
					'priority'          => 17,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_test_cnt_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 15,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_cnt_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_test_cnt_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 15,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_cnt_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_test_cnt_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 15,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_cnt_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_test_cnt_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_cnt_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_test_cnt_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_cnt_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_test_cnt_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_cnt_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_test_cnt_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_cnt_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_test_cnt_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_cnt_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_test_cnt_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_test_cnt_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_test_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
	}
/**************************************************/	
// Blog-typography
/**************************************************/
$wp_customize->add_section(
		'oneline_blog_typography', array(
			'title' => esc_html__( 'Typography', 'oneline' ),
			'priority' => 5,
			'panel' => 'blog_panel',
		)
	);
// break    
$wp_customize->add_setting('typo_blog_hd_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_blog_hd_line_break',array(
            'section' => 'oneline_blog_typography',
            'description' => __( 'Main Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 1,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_blog_hd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_blog_hd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_blog_typography',
					'priority'          => 2,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_blog_hd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_hd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_blog_hd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_hd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_blog_hd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_hd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_blog_hd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_hd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_blog_hd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_hd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_blog_hd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_hd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_blog_hd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_hd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_blog_hd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_hd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_blog_hd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_hd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_blog_sb_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_blog_sb_line_break',array(
            'section' => 'oneline_blog_typography',
            'description' => __( 'Sub Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 6,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_blog_sb_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_blog_sb_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_blog_typography',
					'priority'          => 7,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_blog_sb_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_sb_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_blog_sb_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_sb_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		//mob
		$wp_customize->add_setting(
			'oneline_blog_sb_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_sb_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_blog_sb_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_sb_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_blog_sb_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_sb_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_blog_sb_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_sb_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_blog_sb_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_sb_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_blog_sb_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_sb_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_blog_sb_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_sb_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_blog_tle_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_blog_tle_line_break',array(
            'section' => 'oneline_blog_typography',
            'description' => __( 'Blog Title Typography', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 11,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_blog_tle_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_blog_tle_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_blog_typography',
					'priority'          => 12,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_blog_tle_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_tle_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_blog_tle_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_tle_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_blog_tle_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_tle_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_blog_tle_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_tle_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_blog_tle_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_tle_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_blog_tle_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_tle_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_blog_tle_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_tle_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_blog_tle_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_tle_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_blog_tle_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_tle_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_blog_cnt_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_blog_cnt_line_break',array(
            'section' => 'oneline_blog_typography',
            'description' => __( 'Blog Content Typography', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 16,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_blog_cnt_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_blog_cnt_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_blog_typography',
					'priority'          => 17,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_blog_cnt_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 15,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_cnt_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_blog_cnt_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 15,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_cnt_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_blog_cnt_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 15,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_cnt_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_blog_cnt_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_cnt_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_blog_cnt_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_cnt_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_blog_cnt_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_cnt_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_blog_cnt_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_cnt_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_blog_cnt_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_cnt_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_blog_cnt_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_cnt_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_blog_rdmr_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_blog_rdmr_line_break',array(
            'section' => 'oneline_blog_typography',
            'description' => __( 'Blog Read More Button', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 21,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_blog_rdmr_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_blog_rdmr_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_blog_typography',
					'priority'          => 22,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_blog_rdmr_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_rdmr_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 23,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_blog_rdmr_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_rdmr_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 23,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_blog_rdmr_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_rdmr_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 23,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_blog_rdmr_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_rdmr_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 24,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_blog_rdmr_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_rdmr_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 24,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_blog_rdmr_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_blog_rdmr_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_blog_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 24,
				)
			)
		);


	}
/*****************************************/	
// woo-typography
/*****************************************/	
$wp_customize->add_section(
		'oneline_woo_typography', array(
			'title' => esc_html__( 'Typography', 'oneline' ),
			'priority' => 5,
			'panel' => 'woo_panel',
		)
	);
// break    
$wp_customize->add_setting('typo_woo_hd_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_woo_hd_line_break',array(
            'section' => 'oneline_woo_typography',
            'description' => __( 'Main Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 1,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_woo_hd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_woo_hd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_woo_typography',
					'priority'          => 2,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_woo_hd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_hd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_woo_hd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_hd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_woo_hd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_hd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_woo_hd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_hd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_woo_hd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_hd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_woo_hd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_hd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_woo_hd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_hd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_woo_hd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_hd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_woo_hd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_hd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_woo_sb_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_woo_sb_line_break',array(
            'section' => 'oneline_woo_typography',
            'description' => __( 'Sub Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 6,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_woo_sb_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_woo_sb_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_woo_typography',
					'priority'          => 7,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_woo_sb_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_sb_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_woo_sb_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_sb_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_woo_sb_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_sb_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_woo_sb_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_sb_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_woo_sb_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_sb_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_woo_sb_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_sb_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_woo_sb_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_sb_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_woo_sb_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_sb_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_woo_sb_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_sb_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_woo_tle_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_woo_tle_line_break',array(
            'section' => 'oneline_woo_typography',
            'description' => __( 'Woocommerce Title Typography', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 11,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_woo_tle_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_woo_tle_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_woo_typography',
					'priority'          => 12,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_woo_tle_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 15,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_tle_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_woo_tle_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 15,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_tle_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_woo_tle_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 15,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_tle_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_woo_tle_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_tle_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_woo_tle_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_tle_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_woo_tle_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_tle_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_woo_tle_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_tle_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_woo_tle_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_tle_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_woo_tle_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_tle_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_woo_prc_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_woo_prc_line_break',array(
            'section' => 'oneline_woo_typography',
            'description' => __( 'Woocommerce Price Typography', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 16,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_woo_prc_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_woo_prc_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_woo_typography',
					'priority'          => 17,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_woo_prc_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 16,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_prc_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_woo_prc_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 16,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_prc_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_woo_prc_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 16,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_prc_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_woo_prc_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_prc_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_woo_prc_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_prc_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_woo_prc_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 22,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_prc_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_woo_prc_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_prc_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_woo_prc_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_prc_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_woo_prc_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_prc_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_woo_btn_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_woo_btn_line_break',array(
            'section' => 'oneline_woo_typography',
            'description' => __( 'Woocommerce Button', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 21,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_woo_btn_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_woo_btn_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_woo_typography',
					'priority'          => 22,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_woo_btn_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_btn_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 23,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_woo_btn_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_btn_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 23,
				)
			)
		);
		//mob
		$wp_customize->add_setting(
			'oneline_woo_btn_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_btn_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 23,
				)
			)
		);
		// letter-spacing	
$wp_customize->add_setting(
			'oneline_woo_btn_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_btn_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 24,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_woo_btn_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_btn_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 24,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_woo_btn_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_woo_btn_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_woo_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 24,
				)
			)
		);

	}
/***************************************/	
//Pricing-typology
/***************************************/
$wp_customize->add_section(
		'oneline_price_typography', array(
			'title' => esc_html__( 'Typography', 'oneline' ),
			'priority' => 5,
			'panel' => 'pricing_panel',
		)
	);
// break    
$wp_customize->add_setting('typo_price_hd_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_price_hd_line_break',array(
            'section' => 'oneline_price_typography',
            'description' => __( 'Main Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 1,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_price_hd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_price_hd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_price_typography',
					'priority'          => 2,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_price_hd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_hd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_price_hd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_hd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_price_hd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_hd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_price_hd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_hd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_price_hd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_hd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_price_hd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_hd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_price_hd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_hd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_price_hd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_hd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_price_hd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_hd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
	}
	// break    
$wp_customize->add_setting('typo_price_sb_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_price_sb_line_break',array(
            'section' => 'oneline_price_typography',
            'description' => __( 'Sub Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 6,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_price_sb_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_price_sb_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_price_typography',
					'priority'          => 7,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_price_sb_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_sb_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_price_sb_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_sb_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_price_sb_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_sb_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_price_sb_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_sb_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_price_sb_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_sb_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_price_sb_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_sb_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_price_sb_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_sb_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_price_sb_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_sb_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_price_sb_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_sb_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_price_tle_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_price_tle_line_break',array(
            'section' => 'oneline_price_typography',
            'description' => __( 'Plan Title', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 11,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_price_tle_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_price_tle_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_price_typography',
					'priority'          => 12,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_price_tle_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_tle_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_price_tle_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_tle_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_price_tle_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_tle_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_price_tle_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 34,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_tle_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_price_tle_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 34,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_tle_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_price_tle_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 34,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_tle_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_price_tle_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_tle_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_price_tle_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_tle_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_price_tle_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_tle_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_price_prc_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_price_prc_line_break',array(
            'section' => 'oneline_price_typography',
            'description' => __( 'Plan Rate', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 16,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_price_prc_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_price_prc_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_price_typography',
					'priority'          => 17,
					'type'              => 'select',
				)
			)
		);
	}
	// break    
$wp_customize->add_setting('typo_price_cnt_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_price_cnt_line_break',array(
            'section' => 'oneline_price_typography',
            'description' => __( 'Plan Content', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 18,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_price_cnt_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_price_cnt_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_price_typography',
					'priority'          => 19,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_price_cnt_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_cnt_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 20,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_price_cnt_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_cnt_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 20,
				)
			)
		);
		//mob
		$wp_customize->add_setting(
			'oneline_price_cnt_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_cnt_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 20,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_price_cnt_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_cnt_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 21,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_price_cnt_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_cnt_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 21,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_price_cnt_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_cnt_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 21,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_price_cnt_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_cnt_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 22,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_price_cnt_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_cnt_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 22,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_price_cnt_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_cnt_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 22,
				)
			)
		);
	}
	// break    
$wp_customize->add_setting('typo_price_btn_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_price_btn_line_break',array(
            'section' => 'oneline_price_typography',
            'description' => __( 'Plan Button', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 23,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_price_btn_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_price_btn_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_price_typography',
					'priority'          => 24,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_price_btn_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_btn_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// tab
		$wp_customize->add_setting(
			'oneline_price_btn_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_btn_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// mob
		$wp_customize->add_setting(
			'oneline_price_btn_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 14,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_btn_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 25,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_price_btn_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_btn_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 26,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_price_btn_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_btn_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 26,
				)
			)
		);
//mob
$wp_customize->add_setting(
			'oneline_price_btn_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_price_btn_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_price_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 26,
				)
			)
		);
	}
/*************************************/	
// contact-typology
/*************************************/	
$wp_customize->add_section(
		'oneline_cont_typography', array(
			'title' => esc_html__( 'Typography', 'oneline' ),
			'priority' => 5,
			'panel' => 'contactus_panel',
		)
	);
// break    
$wp_customize->add_setting('typo_cont_hd_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_cont_hd_line_break',array(
            'section' => 'oneline_cont_typography',
            'description' => __( 'Main Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 1,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_cont_hd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_cont_hd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_cont_typography',
					'priority'          => 2,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_cont_hd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_hd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_cont_hd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_hd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_cont_hd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_hd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_cont_hd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_hd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_cont_hd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_hd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_cont_hd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_hd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_cont_hd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_hd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_cont_hd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_hd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
//mob
$wp_customize->add_setting(
			'oneline_cont_hd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_hd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_cont_sb_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_cont_sb_line_break',array(
            'section' => 'oneline_cont_typography',
            'description' => __( 'Sub Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 6,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_cont_sb_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_cont_sb_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_cont_typography',
					'priority'          => 7,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_cont_sb_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_sb_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_cont_sb_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_sb_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		//mob
		$wp_customize->add_setting(
			'oneline_cont_sb_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_sb_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_cont_sb_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_sb_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_cont_sb_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_sb_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_cont_sb_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_sb_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_cont_sb_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_sb_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_cont_sb_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_sb_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_cont_sb_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_sb_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
	}
// break   
$wp_customize->add_setting('typo_cont_add_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_cont_add_line_break',array(
            'section' => 'oneline_cont_typography',
            'description' => __( 'Contact Address Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 11,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_cont_add_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_cont_add_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_cont_typography',
					'priority'          => 12,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_cont_add_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_add_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_cont_add_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_add_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
		//mob
		$wp_customize->add_setting(
			'oneline_cont_add_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 20,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_add_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 13,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_cont_add_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 28,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_add_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_cont_add_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 28,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_add_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_cont_add_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 28,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_add_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 14,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_cont_add_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_add_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_cont_add_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_add_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
//mob
$wp_customize->add_setting(
			'oneline_cont_add_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_add_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 15,
				)
			)
		);
}
// break   
$wp_customize->add_setting('typo_cont_addrs_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_cont_addrs_line_break',array(
            'section' => 'oneline_cont_typography',
            'description' => __( 'Contact Address', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 16,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_cont_addrs_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_cont_addrs_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_cont_typography',
					'priority'          => 17,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_cont_addrs_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 16,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_addrs_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_cont_addrs_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 16,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_addrs_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_cont_addrs_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 16,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_addrs_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 18,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_cont_addrs_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_addrs_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_cont_addrs_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_addrs_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_cont_addrs_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 24,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_addrs_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 19,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_cont_addrs_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_addrs_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_cont_addrs_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_addrs_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_cont_addrs_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_cont_addrs_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_cont_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 20,
				)
			)
		);
}
/************************************/
// custom-typology
/************************************/
$wp_customize->add_section(
		'oneline_custm_typography', array(
			'title' => esc_html__( 'Typography', 'oneline' ),
			'priority' => 5,
			'panel' => 'custom_panel',
		)
	);
// break    
$wp_customize->add_setting('typo_custm_hd_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_custm_hd_line_break',array(
            'section' => 'oneline_custm_typography',
            'description' => __( 'Main Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 1,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_custm_hd_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_custm_hd_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_custm_typography',
					'priority'          => 2,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_custm_hd_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_hd_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_custm_hd_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_hd_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_custm_hd_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 40,
				
			)
		);

		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_hd_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 3,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_custm_hd_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_hd_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_custm_hd_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_hd_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
//mob
$wp_customize->add_setting(
			'oneline_custm_hd_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 46,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_hd_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 4,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_custm_hd_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_hd_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_custm_hd_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_hd_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_custm_hd_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 2,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_hd_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 5,
				)
			)
		);
	}
// break    
$wp_customize->add_setting('typo_custm_sb_line_break', array(
            'sanitize_callback' => 'sanitize_text_field'
  ));
$wp_customize->add_control(new oneline_Customize_Misc_Control(
            $wp_customize,'typo_custm_sb_line_break',array(
            'section' => 'oneline_custm_typography',
            'description' => __( 'Sub Heading', 'oneline' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            'priority' => 6,
 )));
if ( class_exists( 'Oneline_Font_Selector' ) ) {
		$wp_customize->add_setting(
			'oneline_custm_sb_font', array(
				'type'              => 'theme_mod',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			new Oneline_Font_Selector(
				$wp_customize, 'oneline_custm_sb_font', array(
		'label'  => esc_html__( 'Font family', 'oneline' ),
					'section'           => 'oneline_custm_typography',
					'priority'          => 7,
					'type'              => 'select',
				)
			)
		);
	}// End if().
	if ( class_exists( 'Oneline_Customizer_Range_Value_Control' ) ){
		$wp_customize->add_setting(
			'oneline_custm_sb_font_size', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_sb_font_size', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// tab
		$wp_customize->add_setting(
			'oneline_custm_sb_font_size_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_sb_font_size_tb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
		// mob
		$wp_customize->add_setting(
			'oneline_custm_sb_font_size_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 18,
				
			)
		);
		$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_sb_font_size_mb', array(
					'label' => esc_html__( 'Font size', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 10,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 8,
				)
			)
		);
// line-height		
$wp_customize->add_setting(
			'oneline_custm_sb_line_height', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_sb_line_height', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_custm_sb_line_height_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_sb_line_height_tb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_custm_sb_line_height_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 26,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_sb_line_height_mb', array(
					'label' => esc_html__( 'Line height', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 1,
						'max' => 100,
						'step' => 1,
					),
					'priority' => 9,
				)
			)
		);
// letter-spacing	
$wp_customize->add_setting(
			'oneline_custm_sb_letter_spacing', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_sb_letter_spacing', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// tab
$wp_customize->add_setting(
			'oneline_custm_sb_letter_spacing_tb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_sb_letter_spacing_tb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
// mob
$wp_customize->add_setting(
			'oneline_custm_sb_letter_spacing_mb', array(
				'sanitize_callback' => 'oneline_sanitize_range_value',
				'default' => 0.4,
				
			)
		);
$wp_customize->add_control(
			new Oneline_Customizer_Range_Value_Control(
				$wp_customize, 'oneline_custm_sb_letter_spacing_mb', array(
					'label' => esc_html__( 'Letter-spacing ', 'oneline' ) . ' ( ' . esc_html__( 'px','oneline' ) . ' )',
					'section' => 'oneline_custm_typography',
					'type' => 'range-value',
					'input_attr' => array(
						'min' => 0,
						'max' => 3,
						'step' => 0.1,
					),
					'priority' => 10,
				)
			)
		);
	}

	
}
add_action( 'customize_register', 'oneline_typography_settings', 20 );
/**
 * Check if a string is in json format
 *
 * @param  string $string Input.
 *
 * @since 1.1.38
 * @return bool
 */
function oneline_is_json( $string ) {
	return is_string( $string ) && is_array( json_decode( $string, true ) ) ? true : false;
}



